function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

import * as React from 'react';

function fixedZero(val) {
  return val * 1 < 10 ? "0".concat(val) : val;
}

var CountDown =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CountDown, _React$Component);

  function CountDown(props) {
    var _this;

    _classCallCheck(this, CountDown);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(CountDown).call(this, props));
    _this.interval = 1000;

    _this.initTime = function (props) {
      var lastTime = 0;
      var targetTime = 0;

      try {
        if (Object.prototype.toString.call(props.target) === '[object Date]') {
          targetTime = props.target.getTime();
        } else {
          targetTime = new Date(props.target).getTime();
        }
      } catch (e) {
        // @ts-ignore
        throw new Error('invalid target prop', e);
      }

      lastTime = targetTime - new Date().getTime();
      return {
        lastTime: lastTime < 0 ? 0 : lastTime
      };
    }; // defaultFormat = time => (
    //  <span>{moment(time).format('hh:mm:ss')}</span>
    // );


    _this.defaultFormat = function (time) {
      var hours = 60 * 60 * 1000;
      var minutes = 60 * 1000;
      var h = Math.floor(time / hours);
      var m = Math.floor((time - h * hours) / minutes);
      var s = Math.floor((time - h * hours - m * minutes) / 1000);
      return React.createElement("span", null, fixedZero(h), ":", fixedZero(m), ":", fixedZero(s));
    };

    _this.tick = function () {
      var onEnd = _this.props.onEnd;
      var lastTime = _this.state.lastTime;
      _this.timer = setTimeout(function () {
        if (lastTime < _this.interval) {
          clearTimeout(_this.timer);

          _this.setState({
            lastTime: 0
          }, function () {
            if (onEnd) {
              onEnd();
            }
          });
        } else {
          lastTime -= _this.interval;

          _this.setState({
            lastTime: lastTime
          }, function () {
            _this.tick();
          });
        }
      }, _this.interval);
    };

    var _this$initTime = _this.initTime(props),
        lastTime = _this$initTime.lastTime;

    _this.state = {
      lastTime: lastTime
    };
    return _this;
  }

  _createClass(CountDown, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.tick();
    }
  }, {
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      var _this2 = this;

      var target = this.props.target;

      if (target !== nextProps.target) {
        clearTimeout(this.timer);

        var _this$initTime2 = this.initTime(nextProps),
            lastTime = _this$initTime2.lastTime;

        this.setState({
          lastTime: lastTime
        }, function () {
          _this2.tick();
        });
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      clearTimeout(this.timer);
    }
  }, {
    key: "render",
    value: function render() {
      var _a = this.props,
          _a$format = _a.format,
          format = _a$format === void 0 ? this.defaultFormat : _a$format,
          onEnd = _a.onEnd,
          rest = __rest(_a, ["format", "onEnd"]);

      var lastTime = this.state.lastTime;
      var result = format(lastTime);
      return React.createElement("span", rest, result);
    }
  }]);

  return CountDown;
}(React.Component);

export default CountDown;