function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

import * as React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import Col from 'antd/es/col';

var responsive = require('./responsive');

var Description = function Description(_a) {
  var term = _a.term,
      column = _a.column,
      className = _a.className,
      children = _a.children,
      restProps = __rest(_a, ["term", "column", "className", "children"]);

  var clsString = classNames(className);
  return React.createElement(Col, _extends({
    className: clsString
  }, responsive[column], restProps), term && React.createElement("div", {
    className: 'term'
  }, term), children !== null && children !== undefined && React.createElement("div", {
    className: 'detail'
  }, children));
};

Description.defaultProps = {
  term: ''
};
Description.propTypes = {
  term: PropTypes.node
};
export default Description;