function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

import * as React from 'react';
import classNames from 'classnames';
import Row from 'antd/es/row';

var DescriptionList = function DescriptionList(_a) {
  var _classNames;

  var className = _a.className,
      title = _a.title,
      _a$col = _a.col,
      col = _a$col === void 0 ? 3 : _a$col,
      _a$layout = _a.layout,
      layout = _a$layout === void 0 ? 'horizontal' : _a$layout,
      _a$gutter = _a.gutter,
      gutter = _a$gutter === void 0 ? 32 : _a$gutter,
      children = _a.children,
      size = _a.size,
      type = _a.type,
      restProps = __rest(_a, ["className", "title", "col", "layout", "gutter", "children", "size", "type"]);

  var clsString = classNames('ant-pro-descriptionList', layout, className, (_classNames = {}, _defineProperty(_classNames, 'small', size === 'small'), _defineProperty(_classNames, 'large', size === 'large'), _classNames));
  var column = col > 4 ? 4 : col;
  return React.createElement("div", _extends({
    className: clsString
  }, restProps), title ? React.createElement("div", {
    className: 'title'
  }, title) : null, React.createElement(Row, {
    gutter: gutter,
    type: type
  }, React.Children.map(children, function (child) {
    return child ? React.cloneElement(child, {
      column: column
    }) : child;
  })));
};

export default DescriptionList;