import PropTypes from 'prop-types';
import * as React from 'react';
interface IHeaderSearchProps {
    onPressEnter: Function;
    className: any;
    placeholder: any;
    dataSource?: any;
    onSearch?: any;
}
export default class HeaderSearch extends React.PureComponent<IHeaderSearchProps, any> {
    static propTypes: {
        className: PropTypes.Requireable<string>;
        placeholder: PropTypes.Requireable<string>;
        onSearch: PropTypes.Requireable<(...args: any[]) => any>;
        onPressEnter: PropTypes.Requireable<(...args: any[]) => any>;
        defaultActiveFirstOption: PropTypes.Requireable<boolean>;
        dataSource: PropTypes.Requireable<any[]>;
        defaultOpen: PropTypes.Requireable<boolean>;
    };
    static defaultProps: {
        defaultActiveFirstOption: boolean;
        onPressEnter: () => void;
        onSearch: () => void;
        className: string;
        placeholder: string;
        dataSource: never[];
        defaultOpen: boolean;
    };
    input: any;
    constructor(props: any);
    onKeyDown: (e: any) => void;
    onChange: (value: any) => void;
    enterSearchMode: () => void;
    leaveSearchMode: () => void;
    debouncePressEnter(): void;
    render(): JSX.Element;
}
export {};
