import request from '../_util/request'; // 获取批次号

export function getImportBatchNum(params) {
  return request('../import/add', {
    method: "POST",
    allowRepeat: true,
    body: params
  }).then(function (res) {
    return res || {};
  });
} // 获取模板基本信息

export function getTemplateInfo(params) {
  return request("../import/template", {
    method: 'POST',
    body: params,
    allowRepeat: true
  }).then(function (res) {
    return res || {};
  });
} // 获取模板表头数据

export function getColumns(params) {
  return request("../import/".concat(params.templateId, "/columns?allowRepeat=true"), {
    method: 'GET'
  }).then(function (res) {
    return res || {};
  });
} // 开始数据校验

export function checkDatas(params) {
  return request("../import/check", {
    method: 'POST',
    body: params,
    allowRepeat: true
  }).then(function (res) {
    return res || {};
  });
} // 检查是否有重复导入操作

export function checkRepeatImport(params) {
  return request('../import/repeat', {
    method: "POST",
    body: params,
    allowRepeat: true
  }).then(function (res) {
    return res || {};
  });
} // 获取表格数据

export function getDataSource(params) {
  return request('../import/dataList', {
    method: "POST",
    body: params,
    allowRepeat: true
  }).then(function (res) {
    return res || {};
  });
} // 提交数据

export function submitData(params) {
  return request('../import/submit', {
    method: "POST",
    body: params,
    allowRepeat: true
  }).then(function (res) {
    return res || {};
  });
} // 编辑更新

export function editUpdate(params) {
  return request('../import/updateMongoDB', {
    method: "POST",
    body: params,
    allowRepeat: true
  }).then(function (res) {
    return res || {};
  });
}
export function getProgress(params) {
  return request('../import/progress', {
    method: "POST",
    body: params,
    allowRepeat: true
  }).then(function (res) {
    return res || {};
  });
}