function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import * as React from 'react';
import classnames from 'classnames';

var JCircleState =
/*#__PURE__*/
function (_React$Component) {
  _inherits(JCircleState, _React$Component);

  function JCircleState() {
    _classCallCheck(this, JCircleState);

    return _possibleConstructorReturn(this, _getPrototypeOf(JCircleState).apply(this, arguments));
  }

  _createClass(JCircleState, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          color = _this$props.color,
          label = _this$props.label,
          className = _this$props.className,
          stateClassName = _this$props.stateClassName,
          labelClassName = _this$props.labelClassName,
          type = _this$props.type;

      switch (type) {
        case 'start':
          color = '#00b6f5';
          break;

        case 'going':
          color = '#aa8dff';
          break;

        case 'end':
          color = '#3dbe8f';
          break;

        case 'error':
          color = '#ff7668';
          break;
      }

      var mixStyle = _extends({}, {
        background: color
      }, stateClassName);

      return React.createElement("div", {
        style: className
      }, React.createElement("div", {
        className: classnames('circle-state'),
        style: mixStyle
      }), React.createElement("div", {
        className: classnames('circle-label'),
        style: labelClassName
      }, label));
    }
  }]);

  return JCircleState;
}(React.Component); // @ts-ignore


JCircleState._name = 'JCircleState';
export default JCircleState;