function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import * as React from 'react';
import DescriptionList from '../description-list'; //@ts-ignore

var Description = DescriptionList.Description;
import classnames from 'classnames';

var JLabel =
/*#__PURE__*/
function (_React$Component) {
  _inherits(JLabel, _React$Component);

  function JLabel() {
    _classCallCheck(this, JLabel);

    return _possibleConstructorReturn(this, _getPrototypeOf(JLabel).apply(this, arguments));
  }

  _createClass(JLabel, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          title = _this$props.title,
          data = _this$props.data,
          _this$props$placehold = _this$props.placeholder,
          placeholder = _this$props$placehold === void 0 ? '' : _this$props$placehold,
          border = _this$props.border,
          className = _this$props.className;
      return React.createElement("div", {
        className: classnames('j-detail-label-view', {
          'j-detail-border': border
        }, className)
      }, React.createElement("div", {
        className: "j-label-title"
      }, title), React.createElement("div", {
        className: "j-label-content"
      }, React.createElement(DescriptionList, {
        size: "large",
        col: 3,
        type: 'flex'
      }, data.map(function (item, index) {
        return item.hide ? null : React.createElement(Description, {
          key: index,
          term: item.label,
          span: item.span || 8,
          pull: item.wrap,
          offset: item.wrap
        }, item.node !== undefined && item.node !== null ? item.node : item.placeholder || placeholder);
      }))));
    }
  }]);

  return JLabel;
}(React.Component);

export { JLabel as default };