function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import * as React from 'react';
import * as ReactDOM from 'react-dom';
import Button from '../button';

var JFixedView =
/*#__PURE__*/
function (_React$Component) {
  _inherits(JFixedView, _React$Component);

  function JFixedView(props) {
    var _this;

    _classCallCheck(this, JFixedView);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(JFixedView).call(this, props));
    _this.oldWidth = 0;

    _this.update = function () {
      setTimeout(function () {
        var target = _this.renderDom.querySelector('.jltd-fixed-view');

        if (window.JFiexdViewDom) {
          if (_this.renderDom && _this.renderDom.offsetWidth && target && parseFloat(target.style.width) !== parseFloat(_this.renderDom.offsetWidth)) {
            target.style.width = "".concat(_this.renderDom.offsetWidth, "px");
          }

          _this.update();
        }
      }, 300);
    };

    _this.renderFixView = function () {
      if (!_this.renderDom) return null;
      var _this$props = _this.props,
          _this$props$data = _this$props.data,
          data = _this$props$data === void 0 ? [] : _this$props$data,
          _this$props$style = _this$props.style,
          style = _this$props$style === void 0 ? {} : _this$props$style,
          _this$props$className = _this$props.className,
          className = _this$props$className === void 0 ? '' : _this$props$className,
          children = _this$props.children,
          extra = _this$props.extra;
      return React.createElement("div", {
        className: 'jltd-fixed-view ' + className,
        style: style
      }, children ? children : React.createElement("div", null, data.map(function (item, index) {
        return item.hide ? null : React.createElement(Button, _extends({
          key: index
        }, item), item.text);
      })), extra);
    };

    _this.el = document.createElement('div');
    return _this;
  }

  _createClass(JFixedView, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var getRenderContainer = this.props.getRenderContainer;
      this.renderDom = getRenderContainer ? getRenderContainer() : document.querySelector('.ant-layout-content');

      if (!this.renderDom) {
        throw new Error('不存在.ant-layout-content节点，请使用getRenderContainer自定义渲染节点');
      }

      this.renderDom.style.paddingBottom = '50px';
      this.renderDom.appendChild(this.el);
      window.JFiexdViewDom = this;
      this.update();
      this.forceUpdate();
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.renderDom.style.paddingBottom = '0px';
      this.renderDom.removeChild(this.el);
      window.JFiexdViewDom = null;
    }
  }, {
    key: "render",
    value: function render() {
      if (this.renderDom && this.oldWidth !== this.renderDom.offsetWidth) {
        this.oldWidth = this.renderDom.offsetWidth;
        this.forceUpdate();
      }

      return ReactDOM.createPortal(this.renderFixView(), this.el);
    }
  }]);

  return JFixedView;
}(React.Component);

export default JFixedView;