import * as moment from 'moment';
export function setValuesFunction(_this) {
  _this.props.form.values = function (params) {
    _this.getFormat(true);

    var data = _this.props.form.getFieldsValue(params);

    var result = {};
    Object.keys(data).map(function (item) {
      var format = _this.datePicker[item];

      if (data[item]) {
        if (Array.isArray(data[item])) {
          result["".concat(item)] = [];
          data[item].map(function (item2, index) {
            if (moment.isMoment(item2)) {
              result["".concat(item)][index] = data[item][index].format(format);

              if (index === 0) {
                result["".concat(item, "From")] = item2.format(format);
              } else if (index === 1) {
                result["".concat(item, "To")] = item2.format(format);
              }
            } else {
              result["".concat(item)][index] = data[item][index];
            }
          });
        } else if (moment.isMoment(data[item])) {
          result["".concat(item)] = data[item].format(format);
        } else {
          result[item] = data[item];
        }
      } else {
        result[item] = data[item];
      }
    });
    return result;
  };

  if (_this.props.getRefForm) {
    _this.props.getRefForm(_this.props.form);
  }
}
export function getValueType(item, callback) {
  var nodeType = item && item.node && item.node.type && item.node.type._name;
  var type = 'string';

  switch (nodeType) {
    case 'DatePicker':
      {
        type = 'object';
      }
      ;
      break;

    case 'JDatePicker':
      type = 'object';
      break;

    case 'RangePicker':
      type = 'object';
      break;

    case 'MonthPicker':
      type = 'object';
      break;

    case 'WeekPicker':
      type = 'object';
      break;

    case 'inputNumber':
      type = 'number';
      break;
  }

  callback && callback(type);
  return type;
}