function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import classNames from 'classnames';
import omit from 'omit.js';

var Icon = function Icon(props) {
  var type = props.type,
      _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      spin = props.spin;
  var classString = classNames(_defineProperty({
    jltfont: true,
    'anticon-spin': !!spin || type === 'loading'
  }, "jlt-".concat(type), true), className);
  return React.createElement("i", _extends({}, omit(props, ['type', 'spin']), {
    className: classString
  }));
};

export default Icon;