function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import classnames from 'classnames';
import * as React from 'react';
import Icon from '../icon';
import JEllipsis from '../j-ellipsis';

var ContentView =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ContentView, _React$Component);

  function ContentView(props) {
    var _this;

    _classCallCheck(this, ContentView);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ContentView).call(this, props));
    _this.state = {};
    return _this;
  }

  _createClass(ContentView, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          type = _this$props.type,
          content = _this$props.content;
      var incons = {
        success: React.createElement(Icon, {
          type: "check-circle",
          style: {
            fontSize: 30,
            color: '#58c96b'
          },
          theme: "filled"
        }),
        error: React.createElement(Icon, {
          type: "close-circle",
          style: {
            fontSize: 30,
            color: '#FF7474'
          },
          theme: "filled"
        }),
        info: React.createElement(Icon, {
          type: "info-circle",
          style: {
            fontSize: 30,
            color: '#629BC0'
          },
          theme: "filled"
        }),
        warn: React.createElement(Icon, {
          type: "exclamation-circle",
          style: {
            fontSize: 30,
            color: '#FDC54D'
          },
          theme: "filled"
        }),
        warning: React.createElement(Icon, {
          type: "exclamation-circle",
          style: {
            fontSize: 30,
            color: '#FDC54D'
          },
          theme: "filled"
        })
      };

      if (typeof content === 'string') {
        content = content.replace(/<br\s*\/>/g, ',');
      }

      return React.createElement("div", {
        className: classnames('contents')
      }, React.createElement("div", {
        className: classnames('incon')
      }, incons[type] || incons.info), React.createElement("div", {
        style: {
          fontSize: '20px',
          color: '#333'
        }
      }, React.createElement(JEllipsis, {
        lines: 1
      }, content)));
    }
  }]);

  return ContentView;
}(React.Component);

export { ContentView as default };