function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

import Select from 'antd/es/select';
import classnames from 'classnames'; // @ts-ignore

import fetch from '../_util/request'; // import fetch from 'dva/fetch';

import * as React from 'react';
var Option = Select.Option;

var JSelect =
/*#__PURE__*/
function (_React$Component) {
  _inherits(JSelect, _React$Component);

  function JSelect(props) {
    var _this;

    _classCallCheck(this, JSelect);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(JSelect).call(this, props));

    _this.changeData = function () {
      var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
      var requestUrl = data.requestUrl,
          requestType = data.requestType,
          params = data.params,
          headers = data.headers;

      _this.getSelectDate(requestUrl || _this.props.requestUrl, params || _this.props.params, requestType || _this.props.requestType, headers || _this.props.headers);
    };

    _this.getSelectDate = function (_url) {
      var _params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

      var _type = arguments.length > 2 ? arguments[2] : undefined;

      var headers = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
      var newOptions = {
        credentials: 'include',
        method: _type,
        headers: headers,
        body: _params
      };

      if (_type === 'POST') {
        if (!(_params instanceof FormData)) {
          if (_this.props.dataType === 'json') {
            newOptions.headers = _extends({}, newOptions.headers, {
              'Content-Type': 'application/json; charset=UTF-8'
            });
            newOptions.body = JSON.stringify(newOptions.body);
          } else {
            var formData = new FormData();
            Object.keys(newOptions.body).map(function (item) {
              formData.append(item, newOptions.body[item]);
            });
            newOptions.body = formData;
          }
        }
      } else {
        delete newOptions.body;
      }

      fetch(_url, newOptions) // .then((response: any) => {
      //   return response.json();
      // })
      .then(function (data) {
        // tslint:disable-next-line:no-unused-expression
        _this.props.loadSuccess && _this.props.loadSuccess(data);

        if (Array.isArray(data)) {
          _this.setState({
            dataList: data
          });
        } else {
          if (data && data.data) {
            _this.setState({
              dataList: data.data
            });
          }
        }
      });
    };

    _this.state = {
      dataList: props.data || []
    };
    return _this;
  }

  _createClass(JSelect, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this$props = this.props,
          requestUrl = _this$props.requestUrl,
          requestType = _this$props.requestType,
          params = _this$props.params,
          headers = _this$props.headers,
          data = _this$props.data;
      var rurl = requestUrl || '../system/getDataDictionary';
      var rType = requestType ? requestType.toUpperCase() : 'POST'; // tslint:disable-next-line:no-unused-expression

      !data && this.getSelectDate(rurl, params, rType, headers);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _a = this.props,
          editable = _a.editable,
          labelName = _a.labelName,
          valueName = _a.valueName,
          textStyle = _a.textStyle,
          className = _a.className,
          _onChange = _a.onChange,
          filter = _a.filter,
          rest = __rest(_a, ["editable", "labelName", "valueName", "textStyle", "className", "onChange", "filter"]);

      var key = valueName || 'key';
      var label = labelName || 'label';
      var renderOption = [];
      var dataMap = [];

      if (this.state.dataList instanceof Array) {
        this.state.dataList.map(function (option) {
          if (!filter) {
            renderOption.push(React.createElement(Option, {
              key: String(option[key]),
              value: String(option[key]),
              title: option[label]
            }, option[label]));
          } else if (filter(option)) {
            renderOption.push(React.createElement(Option, {
              key: String(option[key]),
              value: String(option[key]),
              title: option[label]
            }, option[label]));
          }
        });
        this.state.dataList.forEach(function (info) {
          dataMap[info[key]] = info[label];
        });
      }

      var text = dataMap[this.props.value];
      return editable || editable == null ? React.createElement(Select, _extends({
        className: classnames('jselect-view-style', className)
      }, rest, {
        onChange: function onChange(value) {
          var all = _this2.state.dataList.find(function (item) {
            return item[key] === value;
          }); // tslint:disable-next-line:no-unused-expression


          _onChange && _onChange(value, all);
        }
      }), renderOption) : React.createElement("div", {
        className: classnames('jselect-view-style', className),
        style: textStyle
      }, text);
    }
  }], [{
    key: "getDerivedStateFromProps",
    value: function getDerivedStateFromProps(props, _state) {
      if (props.data && props.data.length >= 0) {
        return {
          dataList: props.data || []
        };
      }

      return null;
    }
  }]);

  return JSelect;
}(React.Component); // @ts-ignore


JSelect._name = 'JSelect';
export default JSelect;