function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import * as React from 'react';
import Radio from '../radio'; // import update from 'immutability-helper';

import url from '../_util/url'; // @ts-ignore
//import * as $ from 'jquery';

import request from '../_util/request';
var RadioGroup = Radio.Group;

var RadioGroupComponents =
/*#__PURE__*/
function (_React$Component) {
  _inherits(RadioGroupComponents, _React$Component);

  function RadioGroupComponents(props) {
    var _this;

    _classCallCheck(this, RadioGroupComponents);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(RadioGroupComponents).call(this, props)); // 用state信息搜索模板

    _this.searchTemplateForState = function () {
      var codeType = _this.props.codeType;

      var self = _assertThisInitialized(_this);

      _this.setState({
        loading: true
      });

      request(url.cdDictionary.getDataDictionary, {
        method: 'POST',
        body: {
          codeType: codeType
        }
      }).then(function (data) {
        if (data.result) {
          self.setState({
            dataDictionaryList: data.data,
            loading: false
          });
        } else {
          self.setState(function () {
            return {
              loading: false
            };
          });
        }
      });
      /* $.ajax({
        url: url.cdDictionary.getDataDictionary,
        data: { codeType: codeType },
        cache: false,
        async: false,
        type: 'POST',
        dataType: 'json',
        success: function(data: { result: any; data: any[] }) {
          if (data.result) {
            self.setState({
              dataDictionaryList: data.data,
              loading: false,
            });
          } else {
            self.setState(() => {
              return {
                loading: false,
              };
            });
          }
        },
      }); */
    };

    _this.state = {
      dataDictionaryList: [],
      loading: false
    };
    return _this;
  }

  _createClass(RadioGroupComponents, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      this.searchTemplateForState();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var renderRadio = (this.state.dataDictionaryList || []).map(function (data) {
        return React.createElement(Radio, {
          key: data.key,
          value: data.key
        }, data.label);
      });
      return React.createElement("div", null, React.createElement(RadioGroup, {
        onChange: function onChange(e) {
          if (_this2.props.onChange) {
            _this2.props.onChange(e.target.value);
          }
        },
        disabled: this.props.disabled,
        value: this.props.value,
        defaultValue: this.props.defaultValue
      }, renderRadio));
    }
  }]);

  return RadioGroupComponents;
}(React.Component);

export default RadioGroupComponents;