function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

import * as React from 'react';
import classNames from 'classnames';
import Icon from '../icon'; // @ts-ignore

import Success from './Success'; // @ts-ignore

import Error from './Error';
var preCls = 'ant-result';
export default function Result(_a) {
  var className = _a.className,
      type = _a.type,
      title = _a.title,
      description = _a.description,
      extra = _a.extra,
      actions = _a.actions,
      restProps = __rest(_a, ["className", "type", "title", "description", "extra", "actions"]);

  var iconMap = {
    error: React.createElement(Icon, {
      className: "error",
      type: "close-circle"
    }),
    success: React.createElement(Icon, {
      className: "success",
      type: "check-circle"
    })
  };
  var clsString = classNames(preCls, className);
  return React.createElement("div", _extends({
    className: clsString
  }, restProps), React.createElement("div", {
    className: "icon"
  }, iconMap[type]), React.createElement("div", {
    className: "title"
  }, title), description && React.createElement("div", {
    className: "description"
  }, description), extra && React.createElement("div", {
    className: "extra"
  }, extra), actions && React.createElement("div", {
    className: "actions"
  }, actions));
} // @ts-ignore

Result.resultRouter = function (app, dynamicWrapper) {
  return {
    '/result/success': {
      // @ts-ignore
      component: dynamicWrapper(app, [], function () {
        return Success;
      })
    },
    '/result/fail': {
      // @ts-ignore
      component: dynamicWrapper(app, [], function () {
        return Error;
      })
    }
  };
};