var errList = {};
import addLocalMessage from './addLanguage';

var checkLanguageAdd = function checkLanguageAdd(err) {
  var data = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var _this = arguments.length > 2 ? arguments[2] : undefined;

  if (err.indexOf('Missing message') == -1 || !window.global.menuCode || !_this.props.global.localMessage[_this.props.global.locals]) {
    return;
  }

  if (!errList[data.id] && data.id && data.defaultMessage) {
    errList[data.id] = data;
    addLocalMessage({
      i18nKey: data.id,
      name: data.defaultMessage,
      i18nMenuCode: window.global.menuCode
    });
  }
};

export default checkLanguageAdd;