function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { addLocaleData } from 'react-intl';
import en from 'react-intl/locale-data/en';
import zh from 'react-intl/locale-data/zh';

var chooseLocale = function chooseLocale(local, appLocaleEN, appLocaleZH) {
  var messageData = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
  var appLocale;

  switch (local) {
    case 'en':
      addLocaleData(en);
      appLocaleEN.messages = _extends({}, appLocaleEN.messages, messageData);
      appLocale = appLocaleEN;

    case 'zh':
      addLocaleData(zh);
      appLocaleZH.messages = _extends({}, appLocaleZH.messages, messageData);
      appLocale = appLocaleZH;

    case 'zh-CN':
      addLocaleData(zh);
      appLocaleZH.messages = _extends({}, appLocaleZH.messages, messageData);
      appLocale = appLocaleZH;

    default:
      addLocaleData(zh);
      appLocaleZH.messages = _extends({}, appLocaleZH.messages, messageData);
      appLocale = appLocaleZH;
  }

  return appLocale;
};

export default chooseLocale;