import moment from 'moment';
export declare function fixedZero(val: number): string | number;
export declare function getTimeDistance(type: string): moment.Moment[] | undefined;
export declare function getPlainNode(nodeList: {
    forEach: (arg0: (node: any) => void) => void;
}, parentPath?: string): any;
export declare function digitUppercase(n: number): string;
/**
 * Get router routing configuration
 * { path:{name,...param}}=>Array<{name,path ...param}>
 * @param {string} path
 * @param {routerData} routerData
 */
export declare function getRoutes(path: string, routerData: {
    [x: string]: any;
}): any[];
export declare function getPageQuery(): any;
export declare function getQueryPath(path?: string, query?: {}): string;
export declare function isUrl(path: string): boolean;
export declare const getOptionDataValue: (list: never[] | undefined, key: any) => any;
export declare const getOptionDataText: (list: never[] | undefined, key: any) => any;
export declare const downloadFile: (url: string) => Promise<{}>;
export declare function clearAllSpace(e: {
    target: {
        value: string;
    };
}): void;
export declare function checkDate(date: {
    format: (arg0: string) => void;
    hour: () => void;
}, targetDate: any, type: any): any;
export declare const intlFormat: (id: string, defaultMessage: string, data?: Object | undefined) => string;
