"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAuthority = getAuthority;
exports.setAuthority = setAuthority;

// use localStorage to store the authority info, which might be sent from server in actual project.
function getAuthority() {
  // return localStorage.getItem('antd-pro-authority') || ['admin', 'user'];
  return localStorage.getItem('antd-pro-authority') || 'admin';
}

function setAuthority(authority) {
  return localStorage.setItem('antd-pro-authority', authority);
}