"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _dva = require("dva");

var _request = _interopRequireDefault(require("../_util/request"));

var _labelWithController = _interopRequireDefault(require("../label-with-controller"));

var _ModalComponent = _interopRequireDefault(require("./ModalComponent"));

var _utils = require("../_util/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function addImportBatchNum() {
  var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var formData = new FormData();
  Object.keys(params).map(function (item) {
    formData.append(item, params[item]);
  });
  return (0, _request["default"])('../importBatch/addImportBatchNum', {
    method: 'POST',
    body: formData,
    credentials: 'include'
  });
}

function add() {
  var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _request["default"])('../importBatch/add', {
    method: 'POST',
    body: JSON.stringify(params),
    headers: {
      'content-type': 'application/json;charset=UTF-8'
    },
    credentials: 'include'
  });
} // 新建批次


var CreateImportBatch =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CreateImportBatch, _React$Component);

  function CreateImportBatch(props) {
    var _this;

    _classCallCheck(this, CreateImportBatch);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(CreateImportBatch).call(this, props)); // 导入批次号

    _this.onImportBatchNumChange = function () {//    this.setState({
      //    	importBatchNum,
      //    });
    }; // 导入描述


    _this.onImportRemarkChange = function (importRemark) {
      _this.setState({
        importRemark: importRemark
      });
    };

    _this.onConfirm = function () {
      var _this$state = _this.state,
          importBatchNum = _this$state.importBatchNum,
          importRemark = _this$state.importRemark;
      var _this$props = _this.props,
          templateId = _this$props.templateId,
          orderType = _this$props.orderType;
      add({
        importBatchNum: importBatchNum,
        importRemark: importRemark,
        orderType: orderType,
        templateId: templateId
      }) // .then((res: any) => res.json())
      .then(function () {
        var onCreateBatchModelOK = _this.props.onCreateBatchModelOK;
        onCreateBatchModelOK && onCreateBatchModelOK(importBatchNum, templateId);
      }); // this.props
      //   .dispatch({
      //     type: 'importBatchInfoList/add',
      //     payload: {
      //       importBatchNum,
      //       importRemark,
      //       orderType,
      //       templateId,
      //     },
      //   })
      //   .then(() => {
      //     //        if (result.status > 0) {
      //     const { onCreateBatchModelOK } = this.props;
      //     onCreateBatchModelOK && onCreateBatchModelOK(importBatchNum, templateId);
      //     //        } else {
      //     //          // 错误信息在dataFetch里已经展示
      //     //          // message.error(result.message);
      //     //        }
      //   });
    };

    _this.onCancel = function () {
      var onCreateBatchModelCancel = _this.props.onCreateBatchModelCancel;
      onCreateBatchModelCancel && onCreateBatchModelCancel();
    };

    _this.renderControllerList = function () {
      var _this$state2 = _this.state,
          importBatchNum = _this$state2.importBatchNum,
          importRemark = _this$state2.importRemark;
      var controllerList = [{
        label: (0, _utils.intlFormat)('jlt.jltd.importBatchNumber', '导入批次号'),
        type: 'input',
        onChange: _this.onImportBatchNumChange,
        value: importBatchNum,
        disabled: true
      }, {
        label: (0, _utils.intlFormat)('jlt.jltd.importDescription', '导入描述'),
        type: 'textarea',
        onChange: _this.onImportRemarkChange,
        value: importRemark
      }];
      var renderControllerList = controllerList.map(function (info) {
        return React.createElement(_labelWithController["default"], {
          type: info.type,
          label: info.label,
          key: info.label,
          onChange: info.onChange,
          optionData: info.optionData,
          value: info.value,
          disabled: info.disabled
        });
      });
      return renderControllerList;
    };

    _this.renderImportBatch = function () {
      return React.createElement("div", null, React.createElement("span", null, (0, _utils.intlFormat)('jlt.jltd.importBatchNumber', '导入批次号'), "\uFF1A"), React.createElement("input", {
        id: "importBatchNum",
        onChange: _this.onImportBatchNumChange
      }));
    };

    _this.state = {
      importBatchNum: '',
      importRemark: ''
    };
    return _this;
  }

  _createClass(CreateImportBatch, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextPorps) {
      var _this2 = this;

      if (nextPorps.isCreateBatchModalShow && nextPorps.isCreateBatchModalShow !== this.props.isCreateBatchModalShow) {
        addImportBatchNum() // .then((res: any) => res.json())
        .then(function (res) {
          _this2.setState({
            loading: false,
            importBatchNum: res,
            importRemark: ''
          });
        });
      }
    }
  }, {
    key: "render",
    value: function render() {
      var child = React.createElement("div", {
        className: "ant-pro-modal-style"
      }, React.createElement("div", {
        className: "ant-pro-right-style importModal"
      }, React.createElement("div", null, this.renderControllerList())));
      return React.createElement("div", null, React.createElement(_ModalComponent["default"], {
        width: 400,
        title: (0, _utils.intlFormat)('jlt.jltd.createBatches', '创建批次'),
        okText: (0, _utils.intlFormat)('jlt.jltd.Save', '保存'),
        visible: this.props.isCreateBatchModalShow,
        child: child,
        onConfirm: this.onConfirm,
        onCancel: this.onCancel
      }));
    }
  }]);

  return CreateImportBatch;
}(React.Component);

function mapStateToProps(state) {
  var addImportBatchNum = state.importBatchInfoList.addImportBatchNum;
  return {
    addImportBatchNum: addImportBatchNum
  };
}

var _default = (0, _dva.connect)(mapStateToProps)(CreateImportBatch);

exports["default"] = _default;