import { PureComponent } from 'react';
import PropTypes from 'prop-types';
declare class EditableLinkGroup extends PureComponent {
    static propTypes: {
        links: PropTypes.Requireable<any[]>;
        onAdd: PropTypes.Requireable<(...args: any[]) => any>;
        linkElement: PropTypes.Requireable<string | ((...args: any[]) => any)>;
    };
    static defaultProps: {
        links: never[];
        onAdd: () => void;
        linkElement: string;
    };
    render(): JSX.Element;
}
export default EditableLinkGroup;
