import * as React from 'react';
/**
 *  ALL("00", "全部"),
 *  REPEAT_IMPORT("20", "重复导入"),
 *  EDITED("21", "已编辑"),
 *  DATA_REPEAT("22", "数据重复"),
 *  CHECK_FAIL("30","校验失败"),
 *  CHECK_SUCCESS("40", "校验成功"),
 *  SUBMIT_SUCCESS("50", "提交成功"),
 *  SUBMIT_FAIL("60", "提交失败");
 * */
/**
 *  WAIT_IMPORT("10", "等待导入"),
 * IMPORTING("20", "导入中"),
 * IMPORTED("30", "导入完成"),
 * IMPORT_FAIL("40", "导入失败（模板不一致）"),
 * CHECKING("50","校验中"),
 * CHECKED("60","校验完成"),
 * SUBMITING("70", "提交中"),
 * PART_SUBMIT("80", "部分提交"),
 * ALL_SUBMIT("90", "全部提交成功"),
 * SUBMIT_FAIL("100", "提交失败");
 * */
declare class ImportTemplate extends React.Component<any, any> {
    btnList: any;
    defaultColumns: any;
    timer: any;
    constructor(props: any);
    getStatus: (successNum: any) => boolean;
    getBtnList: () => ({
        text: string;
        onClick: () => Promise<void>;
        disabled: boolean;
        style: {
            marginLeft: string;
        };
    } | {
        text: string;
        onClick: (e: any) => void;
        disabled: any;
        style?: undefined;
    })[];
    getTipView: (status: string, batchNum: any, data?: any) => any;
    componentDidMount(): void;
    componentWillUnmount(): void;
    initTemplate: (intPage?: boolean) => Promise<void>;
    initColumns: () => Promise<void>;
    downloadTemplate: (e: any) => void;
    createColumns: (data?: never[]) => void;
    startImport: () => Promise<void>;
    save: (record: any, index: any) => Promise<void>;
    cancel: (record: any, index: number) => void;
    edit: (record: any, index: number) => void;
    onCheckClick: () => Promise<void>;
    onSubmitClick: () => Promise<void>;
    onDisplayClick: ({ key }: any) => void;
    renderMenu: () => JSX.Element;
    beforeUpload: (file: any) => boolean;
    getDataSource: () => Promise<void>;
    getProgress: (batchNum: string, templateId: string, type?: string) => Promise<void>;
    renderUploadView: any;
    errorImport: (conetnt?: string | undefined) => void;
    renderBtnView: () => JSX.Element;
    errorClass: (item: any) => "" | "error-info";
    renderTable: () => JSX.Element;
    renderInfoView: () => JSX.Element;
    render(): JSX.Element;
}
export default ImportTemplate;
