"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classnames = _interopRequireDefault(require("classnames"));

var React = _interopRequireWildcard(require("react"));

var _button = _interopRequireDefault(require("../button"));

var _icon = _interopRequireDefault(require("../icon"));

var _modal = _interopRequireDefault(require("../modal"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

var JAlert =
/*#__PURE__*/
function (_React$Component) {
  _inherits(JAlert, _React$Component);

  function JAlert() {
    _classCallCheck(this, JAlert);

    return _possibleConstructorReturn(this, _getPrototypeOf(JAlert).apply(this, arguments));
  }

  _createClass(JAlert, [{
    key: "render",
    value: function render() {
      var _a = this.props,
          type = _a.type,
          alertTitle = _a.alertTitle,
          alertContent = _a.alertContent,
          alertStyle = _a.alertStyle,
          titleStyle = _a.titleStyle,
          contentStyle = _a.contentStyle,
          alertCancleText = _a.alertCancleText,
          cancleStyle = _a.cancleStyle,
          alertOkText = _a.alertOkText,
          okStyle = _a.okStyle,
          onCancel = _a.onCancel,
          alertOnOk = _a.alertOnOk,
          confirmLoading = _a.confirmLoading,
          width = _a.width,
          closable = _a.closable,
          alertOnCancel = _a.alertOnCancel,
          rest = __rest(_a, ["type", "alertTitle", "alertContent", "alertStyle", "titleStyle", "contentStyle", "alertCancleText", "cancleStyle", "alertOkText", "okStyle", "onCancel", "alertOnOk", "confirmLoading", "width", "closable", "alertOnCancel"]);

      return React.createElement(_modal["default"], _extends({
        footer: null,
        width: width || 330,
        onCancel: onCancel,
        closable: closable
      }, rest), React.createElement("div", {
        className: (0, _classnames["default"])('alert-style'),
        style: alertStyle
      }, type === 'success' ? React.createElement(_icon["default"], {
        type: "check-circle",
        theme: "filled"
      }) : type === 'error' ? React.createElement(_icon["default"], {
        type: "close-circle",
        theme: "filled"
      }) : type === 'warn' ? React.createElement(_icon["default"], {
        type: "exclamation-circle",
        theme: "filled"
      }) : React.createElement(_icon["default"], {
        type: "info-circle",
        theme: "filled"
      }), React.createElement("div", {
        className: (0, _classnames["default"])('title-style'),
        style: titleStyle
      }, alertTitle), React.createElement("div", {
        className: (0, _classnames["default"])('content-style'),
        style: contentStyle
      }, alertContent), React.createElement("div", {
        className: (0, _classnames["default"])('button')
      }, alertOnCancel ? React.createElement(_button["default"], {
        onClick: alertOnCancel,
        className: alertOnOk ? (0, _classnames["default"])('cancle-style') : (0, _classnames["default"])('simple-style'),
        style: cancleStyle
      }, alertCancleText || '取消') : null, alertOnOk ? React.createElement(_button["default"], {
        onClick: alertOnOk,
        type: alertOnCancel && 'primary',
        className: alertOnCancel ? (0, _classnames["default"])('ok-style') : (0, _classnames["default"])('simple-style'),
        style: okStyle,
        loading: confirmLoading
      }, alertOkText || '操作') : null)));
    }
  }]);

  return JAlert;
}(React.Component); // @ts-ignore


JAlert._name = 'JAlert';
var _default = JAlert;
exports["default"] = _default;