"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _querystring = require("querystring");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var DetailView =
/*#__PURE__*/
function (_React$Component) {
  _inherits(DetailView, _React$Component);

  function DetailView(props) {
    var _this;

    _classCallCheck(this, DetailView);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(DetailView).call(this, props));
    _this.state = {
      targetType: ''
    };
    _this.scrollTop = sessionStorage.getItem('@@detailViewScrollTop') || 0;
    return _this;
  }

  _createClass(DetailView, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      var urls = window.location.href.split('?');
      var url = urls[urls.length - 1];
      var params = (0, _querystring.parse)(url) || {};
      this.setState({
        targetType: params.target ? params.target : ''
      });
      var scrollView = document.querySelector('#maincontent');

      if (!this.state.targetType && params.target && scrollView.scrollTop) {
        this.scrollTop = scrollView.scrollTop;
        scrollView.scrollTop = 0;
        sessionStorage.setItem('@@detailViewScrollTop', this.scrollTop);
      } else if (this.state.targetType && !params.target) {
        scrollView.scrollTop = this.scrollTop;
        sessionStorage.removeItem('@@detailViewScrollTop');
        this.scrollTop = 0;
      }

      if (!params.target && this.state.targetType) {
        nextProps.refresh && nextProps.refresh(this.state.targetType);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var targetType = this.state.targetType;
      var _this$props = this.props,
          children = _this$props.children,
          _this$props$target = _this$props.target,
          target = _this$props$target === void 0 ? {} : _this$props$target;
      return React.createElement(React.Fragment, null, targetType ? React.createElement("div", {
        className: "popDetailView"
      }, target[targetType]) : null, React.createElement("div", {
        style: targetType ? {
          opacity: 0,
          position: 'absolute',
          right: 99999
        } : {}
      }, children));
    }
  }]);

  return DetailView;
}(React.Component);

exports["default"] = DetailView;