/// <reference types="react" />
declare const React: any;
/**
 * props.children {String} the rich content you want to clamp
 * props.lines {Number|String} max lines allowed
 * props.ellipsis {String} the ellipsis indicator
 * props.basedOn {String} letters|words
 * props.className {String}
 */
export default class JNewEllipsis extends React.Component<any, any> {
    static defaultProps: {
        children: string;
        lines: number;
        ellipsis: string;
        ellipsisHTML: undefined;
        className: string;
        basedOn: string;
        onReflow(): void;
        winWidth: undefined;
    };
    constructor(props: any);
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    setState(state: any, callback: any): any;
    initCanvas(): void;
    copyStyleToCanvas(): void;
    reflow(props: any): void;
    calcIndexes(): number[];
    putEllipsis(indexes: any): boolean;
    makeEllipsisSpan(): HTMLSpanElement;
    isClamped(): any;
    render(): JSX.Element;
}
export {};
