"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _steps = _interopRequireDefault(require("../steps"));

var React = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

var Step = _steps["default"].Step;
// const inconfont: any = {
//   waitOrder: [
//     require('./img/waitOrder1.png'),
//     require('./img/waitOrder2.png'),
//     require('./img/waitOrder3.png'),
//   ],
//   waitExamine: [
//     require('./img/waitExamine1.png'),
//     require('./img/waitExamine2.png'),
//     require('./img/waitExamine3.png'),
//   ],
//   waitDeliver: [
//     require('./img/waitDeliver1.png'),
//     require('./img/waitDeliver2.png'),
//     require('./img/waitDeliver3.png'),
//   ],
//   deliver: [
//     require('./img/delivering1.png'),
//     require('./img/delivering2.png'),
//     require('./img/delivering3.png'),
//   ],
//   waitOutStock: [
//     require('./img/waitOutStock1.png'),
//     require('./img/waitOutStock2.png'),
//     require('./img/waitOutStock3.png'),
//   ],
//   waitReceiver: [
//     require('./img/waitReceiver1.png'),
//     require('./img/waitReceiver2.png'),
//     require('./img/waitReceiver3.png'),
//   ],
//   sign: [
//     require('./img/sign1.png'),
//     require('./img/sign2.png'),
//     require('./img/sign3.png'),
//   ],
//   cancel: [
//     require('./img/canceled1.png'),
//     require('./img/canceled2.png'),
//     require('./img/canceled3.png'),
//   ],
//   refuse: [
//     require('./img/refused1.png'),
//     require('./img/refused2.png'),
//     require('./img/refused3.png'),
//   ],
//   execute: [
//     require('./img/execute1.png'),
//     require('./img/execute2.png'),
//     require('./img/execute3.png'),
//   ],
//   reject: [
//     require('./img/reject.png'),
//     require('./img/reject.png'),
//     require('./img/reject.png'),
//   ],
// }
var inconfont = {
  waitOrder: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  waitExamine: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  waitDeliver: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  deliver: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  waitOutStock: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  waitReceiver: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  sign: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  cancel: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  refuse: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  execute: [require('./img/dided.png'), require('./img/dided.png'), require('./img/done.png')],
  reject: [require('./img/reject.png'), require('./img/reject.png'), require('./img/reject.png')]
};

var JStep =
/*#__PURE__*/
function (_React$Component) {
  _inherits(JStep, _React$Component);

  function JStep() {
    _classCallCheck(this, JStep);

    return _possibleConstructorReturn(this, _getPrototypeOf(JStep).apply(this, arguments));
  }

  _createClass(JStep, [{
    key: "render",
    value: function render() {
      var _a = this.props,
          current = _a.current,
          steps = _a.steps,
          className = _a.className,
          rest = __rest(_a, ["current", "steps", "className"]);

      return React.createElement(_steps["default"], _extends({}, rest, {
        className: (0, _classnames["default"])('jlt-step', className),
        current: current
      }), steps && steps.map(function (item, index) {
        return React.createElement(Step, {
          key: item.title,
          title: item.title,
          icon: typeof item.icon === 'string' ? React.createElement("img", {
            src: index < current ? inconfont[item.icon][0] : index === current ? inconfont[item.icon][1] : inconfont[item.icon][2]
          }) : Array.isArray(item.icon) ? React.createElement("img", {
            src: index < current ? item.icon[0] : index === current ? item.icon[1] : item.icon[2]
          }) : null,
          description: item.description
        });
      }));
    }
  }]);

  return JStep;
}(React.Component); // @ts-ignore


JStep._name = 'JStep';
var _default = JStep;
exports["default"] = _default;