/// <reference types="react" />
import Input from 'antd/es/input';
declare const map: {
    UserName: {
        component: typeof Input;
        props: {
            size: string;
            prefix: JSX.Element;
            placeholder: string;
        };
        rules: {
            required: boolean;
            message: string;
        }[];
    };
    Password: {
        component: typeof Input;
        props: {
            size: string;
            prefix: JSX.Element;
            type: string;
            placeholder: string;
        };
        rules: {
            required: boolean;
            message: string;
        }[];
    };
    Mobile: {
        component: typeof Input;
        props: {
            size: string;
            prefix: JSX.Element;
            placeholder: string;
        };
        rules: ({
            required: boolean;
            message: string;
            pattern?: undefined;
        } | {
            pattern: RegExp;
            message: string;
            required?: undefined;
        })[];
    };
    Captcha: {
        component: typeof Input;
        props: {
            size: string;
            prefix: JSX.Element;
            placeholder: string;
        };
        rules: {
            required: boolean;
            message: string;
        }[];
    };
};
export default map;
