"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

var preCls = 'ant-numberInfo';

var NumberInfo = function NumberInfo(_a) {
  var theme = _a.theme,
      title = _a.title,
      subTitle = _a.subTitle,
      total = _a.total,
      subTotal = _a.subTotal,
      status = _a.status,
      suffix = _a.suffix,
      gap = _a.gap,
      rest = __rest(_a, ["theme", "title", "subTitle", "total", "subTotal", "status", "suffix", "gap"]);

  return React.createElement("div", _extends({
    className: (0, _classnames["default"])(preCls, _defineProperty({}, "numberInfo".concat(theme), theme))
  }, rest), title && React.createElement("div", {
    className: 'numberInfoTitle'
  }, title), subTitle && React.createElement("div", {
    className: 'numberInfoSubTitle'
  }, subTitle), React.createElement("div", {
    className: 'numberInfoValue',
    style: gap ? {
      marginTop: gap
    } : {}
  }, React.createElement("span", null, total, suffix && React.createElement("em", {
    className: 'suffix'
  }, suffix)), (status || subTotal) && React.createElement("span", {
    className: 'subTotal'
  }, subTotal, status && React.createElement(_icon["default"], {
    type: "caret-".concat(status)
  }))));
};

var _default = NumberInfo;
exports["default"] = _default;