import * as React from 'react';
declare type PaginationComponentState = {
    current: any;
    pageSize: any;
};
interface PaginationComponentProps {
    defaultCurrent?: number;
    current?: number;
    pageSize?: number;
    className?: any;
    pageSizeOptions?: any;
    total: number;
    onChange: (a?: number, b?: number) => void;
    onPageSizeChange?: (a?: number) => void;
}
declare class Paginationcomponent extends React.Component<PaginationComponentProps, PaginationComponentState> {
    constructor(props: PaginationComponentProps);
    componentWillReceiveProps(nextProps: PaginationComponentProps): void;
    onChange: (page: number, pageSize: number) => void;
    onPageSizeChange: (current: number, size: number) => void;
    render(): JSX.Element;
}
export default Paginationcomponent;
