"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.CURRENT = void 0;

/* eslint-disable import/no-mutable-exports */
var CURRENT = 'NULL';
/**
 * use  authority or getAuthority
 * @param {string|()=>String} currentAuthority
 */

exports.CURRENT = CURRENT;

var renderAuthorize = function renderAuthorize(Authorized) {
  return function (currentAuthority) {
    if (currentAuthority) {
      if (currentAuthority.constructor.name === 'Function') {
        exports.CURRENT = CURRENT = currentAuthority();
      }

      if (currentAuthority.constructor.name === 'String' || currentAuthority.constructor.name === 'Array') {
        exports.CURRENT = CURRENT = currentAuthority;
      }
    } else {
      exports.CURRENT = CURRENT = 'NULL';
    }

    return Authorized;
  };
};

var _default = function _default(Authorized) {
  return renderAuthorize(Authorized);
};

exports["default"] = _default;