"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _button = _interopRequireDefault(require("../button"));

var _card = _interopRequireDefault(require("../card"));

var _icon = _interopRequireDefault(require("../icon"));

var _col = _interopRequireDefault(require("../col"));

var _row = _interopRequireDefault(require("../row"));

var _steps = _interopRequireDefault(require("../steps"));

var _pageHeaderLayout = _interopRequireDefault(require("../page-header-layout"));

var _result = _interopRequireDefault(require("../result"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

var Step = _steps["default"].Step;

var desc1 = _react["default"].createElement("div", {
  style: {
    fontSize: 12,
    color: 'rgba(0, 0, 0, 0.45)',
    position: 'relative',
    left: 42
  }
}, _react["default"].createElement("div", {
  style: {
    margin: '8px 0 4px'
  }
}, "\u66F2\u4E3D\u4E3D", _react["default"].createElement(_icon["default"], {
  style: {
    marginLeft: 8
  },
  type: "dingding-o"
})), _react["default"].createElement("div", null, "2016-12-12 12:32"));

var desc2 = _react["default"].createElement("div", {
  style: {
    fontSize: 12,
    position: 'relative',
    left: 42
  }
}, _react["default"].createElement("div", {
  style: {
    margin: '8px 0 4px'
  }
}, "\u5468\u6BDB\u6BDB", _react["default"].createElement(_icon["default"], {
  type: "dingding-o",
  style: {
    color: '#00A0E9',
    marginLeft: 8
  }
})), _react["default"].createElement("div", null, _react["default"].createElement("a", {
  href: ""
}, "\u50AC\u4E00\u4E0B")));

var extra = _react["default"].createElement(_react.Fragment, null, _react["default"].createElement("div", {
  // @ts-ignore
  style: {
    fontSize: 16,
    color: 'rgba(0, 0, 0, 0.85)',
    fontWeight: '500',
    marginBottom: 20
  }
}, "\u9879\u76EE\u540D\u79F0"), _react["default"].createElement(_row["default"], {
  style: {
    marginBottom: 16
  }
}, _react["default"].createElement(_col["default"], {
  xs: 24,
  sm: 12,
  md: 12,
  lg: 12,
  xl: 6
}, _react["default"].createElement("span", {
  style: {
    color: 'rgba(0, 0, 0, 0.85)'
  }
}, "\u9879\u76EE ID\uFF1A"), "23421"), _react["default"].createElement(_col["default"], {
  xs: 24,
  sm: 12,
  md: 12,
  lg: 12,
  xl: 6
}, _react["default"].createElement("span", {
  style: {
    color: 'rgba(0, 0, 0, 0.85)'
  }
}, "\u8D1F\u8D23\u4EBA\uFF1A"), "\u66F2\u4E3D\u4E3D"), _react["default"].createElement(_col["default"], {
  xs: 24,
  sm: 24,
  md: 24,
  lg: 24,
  xl: 12
}, _react["default"].createElement("span", {
  style: {
    color: 'rgba(0, 0, 0, 0.85)'
  }
}, "\u751F\u6548\u65F6\u95F4\uFF1A"), "2016-12-12 ~ 2017-12-12")), _react["default"].createElement(_steps["default"], {
  style: {
    marginLeft: -42,
    width: 'calc(100% + 84px)'
  },
  progressDot: true,
  current: 1
}, _react["default"].createElement(Step, {
  title: _react["default"].createElement("span", {
    style: {
      fontSize: 14
    }
  }, "\u521B\u5EFA\u9879\u76EE"),
  description: desc1
}), _react["default"].createElement(Step, {
  title: _react["default"].createElement("span", {
    style: {
      fontSize: 14
    }
  }, "\u90E8\u95E8\u521D\u5BA1"),
  description: desc2
}), _react["default"].createElement(Step, {
  title: _react["default"].createElement("span", {
    style: {
      fontSize: 14
    }
  }, "\u8D22\u52A1\u590D\u6838")
}), _react["default"].createElement(Step, {
  title: _react["default"].createElement("span", {
    style: {
      fontSize: 14
    }
  }, "\u5B8C\u6210")
})));

var actions = _react["default"].createElement(_react.Fragment, null, _react["default"].createElement(_button["default"], {
  type: "primary"
}, "\u8FD4\u56DE\u5217\u8868"), _react["default"].createElement(_button["default"], null, "\u67E5\u770B\u9879\u76EE"), _react["default"].createElement(_button["default"], null, "\u6253 \u5370"));

var _default = function _default() {
  return _react["default"].createElement(_pageHeaderLayout["default"], {
    title: "success"
  }, _react["default"].createElement(_card["default"], {
    bordered: false
  }, _react["default"].createElement(_result["default"], {
    type: "success",
    title: "\u63D0\u4EA4\u6210\u529F",
    description: "\u63D0\u4EA4\u7ED3\u679C\u9875\u7528\u4E8E\u53CD\u9988\u4E00\u7CFB\u5217\u64CD\u4F5C\u4EFB\u52A1\u7684\u5904\u7406\u7ED3\u679C\uFF0C \u5982\u679C\u4EC5\u662F\u7B80\u5355\u64CD\u4F5C\uFF0C\u4F7F\u7528 Message \u5168\u5C40\u63D0\u793A\u53CD\u9988\u5373\u53EF\u3002 \u672C\u6587\u5B57\u533A\u57DF\u53EF\u4EE5\u5C55\u793A\u7B80\u5355\u7684\u8865\u5145\u8BF4\u660E\uFF0C\u5982\u679C\u6709\u7C7B\u4F3C\u5C55\u793A \u201C\u5355\u636E\u201D\u7684\u9700\u6C42\uFF0C\u4E0B\u9762\u8FD9\u4E2A\u7070\u8272\u533A\u57DF\u53EF\u4EE5\u5448\u73B0\u6BD4\u8F83\u590D\u6742\u7684\u5185\u5BB9\u3002",
    extra: extra,
    actions: actions,
    style: {
      marginTop: 48,
      marginBottom: 16
    }
  })));
};

exports["default"] = _default;