"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

var StandardFormRow = function StandardFormRow(_a) {
  var _classNames;

  var title = _a.title,
      children = _a.children,
      last = _a.last,
      block = _a.block,
      grid = _a.grid,
      rest = __rest(_a, ["title", "children", "last", "block", "grid"]);

  var preCls = 'ant-standardFormRow';
  var cls = (0, _classnames["default"])(preCls, (_classNames = {}, _defineProperty(_classNames, "".concat(preCls, "-standardFormRowBlock"), block), _defineProperty(_classNames, "".concat(preCls, "-standardFormRowLast"), last), _defineProperty(_classNames, "".concat(preCls, "-standardFormRowGrid"), grid), _classNames));
  return React.createElement("div", _extends({
    className: cls
  }, rest), title && React.createElement("div", {
    className: "".concat(preCls, "-label")
  }, React.createElement("span", null, title)), React.createElement("div", {
    className: "".concat(preCls, "-content")
  }, children));
};

var _default = StandardFormRow;
exports["default"] = _default;