"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _request = _interopRequireDefault(require("../../_util/request"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var fetchLocalData = function fetchLocalData() {
  var lan = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

  var _this = arguments.length > 1 ? arguments[1] : undefined;

  var callback = arguments.length > 2 ? arguments[2] : undefined;

  if (!lan) {
    return;
  }

  (0, _request["default"])("../minima/language/getLanguagePackage?language=".concat(lan), {
    credentials: 'include'
  }).then(function (res) {
    if (res.data) {
      callback && callback(res.data);

      _this.props.dispatch({
        type: 'global/saveLocalMessage',
        payload: {
          locals: lan,
          messages: res.data
        }
      });

      _this.forceUpdate();
    }
  });
};

var _default = fetchLocalData;
exports["default"] = _default;