function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import * as React from 'react';
import Input from '../input';
import Icon from '../icon';

var EditableItem =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(EditableItem, _React$PureComponent);

  function EditableItem(props) {
    var _this;

    _classCallCheck(this, EditableItem);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(EditableItem).call(this, props));

    _this.handleChange = function (e) {
      var value = e.target.value;

      _this.setState({
        value: value
      });
    };

    _this.check = function () {
      _this.setState({
        editable: false
      });

      var onChange = _this.props.onChange;
      var value = _this.state.value;

      if (onChange) {
        onChange(value);
      }
    };

    _this.edit = function () {
      _this.setState({
        editable: true
      });
    };

    _this.state = {
      value: props.value,
      editable: false
    };
    return _this;
  }

  _createClass(EditableItem, [{
    key: "render",
    value: function render() {
      var _this$state = this.state,
          value = _this$state.value,
          editable = _this$state.editable;
      return React.createElement("div", {
        className: 'ant-pro-editableItem'
      }, editable ? React.createElement("div", {
        className: 'wrapper'
      }, React.createElement(Input, {
        value: value,
        onChange: this.handleChange,
        onPressEnter: this.check
      }), React.createElement(Icon, {
        type: "check",
        className: 'icon',
        onClick: this.check
      })) : React.createElement("div", {
        className: 'wrapper'
      }, React.createElement("span", null, value || ' '), React.createElement(Icon, {
        type: "edit",
        className: 'icon',
        onClick: this.edit
      })));
    }
  }]);

  return EditableItem;
}(React.PureComponent);

export { EditableItem as default };