import * as React from 'react';
import Modal from '../modal';

var ModalComponent = function ModalComponent(props) {
  var visible = props.visible,
      onConfirm = props.onConfirm,
      onCancel = props.onCancel,
      title = props.title,
      child = props.child,
      width = props.width,
      okText = props.okText,
      cancelText = props.cancelText;
  return React.createElement(Modal, {
    width: width || '50%',
    okText: okText,
    cancelText: cancelText,
    title: title,
    visible: visible,
    maskClosable: false,
    onOk: onConfirm,
    onCancel: onCancel,
    closable: true
  }, child);
};

export default ModalComponent;