function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import classnames from 'classnames';
import { connect } from 'dva';
import { routerRedux } from 'dva/router';
import * as React from 'react';
import Button from '../button';
import CreateImportBatch from './createImportBatch';

var queryString = require('qs'); // 导入列表


var ImportExcel =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ImportExcel, _React$Component);

  function ImportExcel(props) {
    var _this;

    _classCallCheck(this, ImportExcel);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ImportExcel).call(this, props)); // 新增批次属性

    _this.onAddBatchImport = function () {
      if (_this.props.buttonInfo.onOk) {
        _this.props.buttonInfo.onOk(function () {
          _this.setState({
            isCreateBatchModalShow: true
          });
        });
      } else {
        _this.setState({
          isCreateBatchModalShow: true
        });
      }
    }; // 新增批次属性确认


    _this.onCreateBatchModelOK = function (importBatchNum, templateId) {
      _this.setState({
        isCreateBatchModalShow: false
      });

      var path = '../importTemplate';
      var routerPath = _this.props.buttonInfo.routerPath;

      if (routerPath) {
        path = routerPath;
      }

      _this.props.dispatch(routerRedux.push({
        pathname: path,
        search: queryString.stringify({
          templateId: templateId,
          importBatchNum: importBatchNum
        })
      }));
    }; // 新增批次属性取消


    _this.onCreateBatchModelCancel = function () {
      _this.setState({
        isCreateBatchModalShow: false
      });
    }; // 新增批次属性弹窗


    _this.renderImportBatchModal = function () {
      var isCreateBatchModalShow = _this.state.isCreateBatchModalShow;
      var buttonInfo = _this.props.buttonInfo;
      return React.createElement(CreateImportBatch, {
        isCreateBatchModalShow: isCreateBatchModalShow,
        onCreateBatchModelOK: _this.onCreateBatchModelOK,
        onCreateBatchModelCancel: _this.onCreateBatchModelCancel,
        templateId: buttonInfo.templateId
      });
    };

    _this.renderALink = function (buttonInfo) {
      return React.createElement(React.Fragment, null, React.createElement("a", {
        onClick: _this.onAddBatchImport
      }, buttonInfo.text), _this.renderImportBatchModal());
    };

    _this.renderButton = function (buttonInfo) {
      return React.createElement(React.Fragment, null, React.createElement(Button, {
        className: classnames('ant-pro-button-group', 'button-group', buttonInfo.className && buttonInfo.className),
        type: buttonInfo.type || 'default',
        size: buttonInfo.size || 'default',
        loading: buttonInfo.loading,
        onClick: _this.onAddBatchImport,
        disabled: buttonInfo.disabled
      }, buttonInfo.text), _this.renderImportBatchModal());
    };

    _this.state = {
      isCreateBatchModalShow: false
    };
    return _this;
  }

  _createClass(ImportExcel, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          buttonInfo = _this$props.buttonInfo,
          buttonType = _this$props.buttonType;
      return buttonType === 'a' ? this.renderALink(buttonInfo) : this.renderButton(buttonInfo);
    }
  }]);

  return ImportExcel;
}(React.Component);

export default connect(function () {
  return {};
})(ImportExcel);