function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import classNmaes from 'classnames'; // @ts-ignore

import request from '../_util/request';
import * as React from 'react';
import './style/index';

var JQuickSearch =
/*#__PURE__*/
function (_React$Component) {
  _inherits(JQuickSearch, _React$Component);

  function JQuickSearch(props) {
    var _this;

    _classCallCheck(this, JQuickSearch);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(JQuickSearch).call(this, props));

    _this.changeData = function () {
      var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
      var requestUrl = data.requestUrl,
          requestType = data.requestType,
          params = data.params,
          headers = data.headers;

      _this.getSelectDate(requestUrl || _this.props.requestUrl, params || _this.props.params, requestType || _this.props.requestType, headers || _this.props.headers);
    };

    _this.getSelectDate = function (_url) {
      var _params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

      var _type = arguments.length > 2 ? arguments[2] : undefined;

      var headers = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
      var newOptions = {
        credentials: 'include',
        method: _type,
        headers: headers,
        body: _params
      };

      if (_type === 'POST') {
        if (!(_params instanceof FormData)) {
          if (_this.props.dataType === 'json') {
            newOptions.headers = _extends({}, newOptions.headers, {
              'Content-Type': 'application/json; charset=UTF-8'
            });
            newOptions.body = JSON.stringify(newOptions.body);
          } else {
            var formData = new FormData();
            Object.keys(newOptions.body).map(function (item) {
              formData.append(item, newOptions.body[item]);
            });
            newOptions.body = formData;
          }
        }
      } else {
        delete newOptions.body;
      }

      request(_url, newOptions).then(function (data) {
        _this.props.loadSuccess && _this.props.loadSuccess(data);

        if (Array.isArray(data)) {
          _this.setState({
            dataList: data
          });
        } else {
          _this.setState({
            dataList: data.data
          });
        }
      });
    };

    _this.state = {
      dataList: [],
      value: props.value || props.defaultValue || ''
    };
    return _this;
  }

  _createClass(JQuickSearch, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this$props = this.props,
          requestUrl = _this$props.requestUrl,
          requestType = _this$props.requestType,
          params = _this$props.params,
          headers = _this$props.headers,
          data = _this$props.data;
      var rurl = requestUrl || '../system/getDataDictionary';
      var rType = requestType ? requestType.toUpperCase() : 'POST'; // tslint:disable-next-line:no-unused-expression

      !data && this.getSelectDate(rurl, params, rType, headers);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props2 = this.props,
          className = _this$props2.className,
          style = _this$props2.style,
          _this$props2$labelNam = _this$props2.labelName,
          labelName = _this$props2$labelNam === void 0 ? 'label' : _this$props2$labelNam,
          _this$props2$valueNma = _this$props2.valueNmae,
          valueNmae = _this$props2$valueNma === void 0 ? 'key' : _this$props2$valueNma,
          onChange = _this$props2.onChange,
          filter = _this$props2.filter; // tslint:disable-next-line:prefer-const

      var _this$state = this.state,
          dataList = _this$state.dataList,
          value = _this$state.value;
      var data = [];
      dataList.map(function (item, index) {
        if (filter) {
          if (filter(item)) {
            data.push(React.createElement("div", {
              className: classNmaes('j-quick-item', {
                'j-quick-item-active': value === item[valueNmae],
                'j-quick-item-en': window.locals.language == 'en'
              }),
              key: index,
              onClick: function onClick() {
                _this2.setState({
                  value: item[valueNmae]
                });

                onChange && onChange(item[valueNmae], item);
              },
              title: window.locals.language === 'en' ? item[labelName] : undefined
            }, React.createElement("div", null, item[labelName])));
          }
        } else {
          data.push(React.createElement("div", {
            className: classNmaes('j-quick-item', {
              'j-quick-item-active': value === item[valueNmae],
              'j-quick-item-en': window.locals.language == 'en'
            }),
            key: index,
            onClick: function onClick() {
              _this2.setState({
                value: item[valueNmae]
              });

              onChange && onChange(item[valueNmae], item);
            },
            title: window.locals.language === 'en' ? item[labelName] : undefined
          }, React.createElement("div", null, item[labelName])));
        }

        return null;
      });
      return React.createElement("div", {
        className: classNmaes('j-quick-search', className),
        style: style
      }, data);
    }
  }], [{
    key: "getDerivedStateFromProps",
    value: function getDerivedStateFromProps(props) {
      var newState = {};

      if (props.hasOwnProperty('value')) {
        newState.value = props.value;
      }

      if (props.hasOwnProperty('data')) {
        var allData = [].concat(_toConsumableArray(props.extraData || []), _toConsumableArray(props.data || []));
        newState.dataList = allData;
      }

      return newState;
    }
  }]);

  return JQuickSearch;
}(React.Component);

export { JQuickSearch as default };