import * as React from 'react';
import classnames from 'classnames';

var RadioIcon = function RadioIcon(props) {
  var _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      checked = props.checked,
      disabled = props.disabled;
  return React.createElement("span", {
    className: classnames('jlt-radio', {
      'jlt-radio-checked': checked,
      'jlt-radio-disabled': disabled
    }, className)
  }, React.createElement("span", {
    className: "jlt-radio-inner"
  }));
};

export default RadioIcon;