function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import en from './localData/en';
import zh from './localData/zh';
var defaultMessage = {
  "en": en,
  "zh": zh
};

function initDefaultMessage() {
  var language = window.locals.language;
  var data = window.locals.data;
  data = _extends({}, data, defaultMessage[language] || {});
  window.locals.data = data;
}

export default initDefaultMessage;