declare const _default: {
    locale: string;
    Pagination: any;
    DatePicker: {
        lang: any;
        timePickerLocale: {
            placeholder: string;
        };
    };
    TimePicker: {
        placeholder: string;
    };
    Calendar: {
        lang: any;
        timePickerLocale: {
            placeholder: string;
        };
    };
    global: {
        placeholder: string;
    };
    Table: {
        filterTitle: string;
        filterConfirm: string;
        filterReset: string;
        selectAll: string;
        selectInvert: string;
        sortTitle: string;
    };
    Modal: {
        okText: string;
        cancelText: string;
        justOkText: string;
    };
    Popconfirm: {
        okText: string;
        cancelText: string;
    };
    Transfer: {
        titles: string[];
        searchPlaceholder: string;
        itemUnit: string;
        itemsUnit: string;
    };
    Upload: {
        uploading: string;
        removeFile: string;
        uploadError: string;
        previewFile: string;
    };
    Empty: {
        description: string;
    };
    Icon: {
        icon: string;
    };
    Text: {
        edit: string;
        copy: string;
        copied: string;
        expand: string;
    };
    JButtonGroup: {
        more: string;
        okText: string;
        cancelText: string;
        importDescription: string;
        importBatch: string;
        createBatch: string;
    };
    JForm: {
        placeholderInput: string;
        placeholderSelect: string;
        search: string;
        reset: string;
        closeMore: string;
        openMore: string;
    };
    PageHeader: {
        backText: string;
    };
};
export default _default;
