function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

import classNames from 'classnames';
import * as React from 'react';
import Button from '../button';
import Form from '../form';
var FormItem = Form.Item;

var LoginSubmit = function LoginSubmit(_a) {
  var className = _a.className,
      rest = __rest(_a, ["className"]);

  var clsString = classNames('submit', className);
  return React.createElement(FormItem, null, React.createElement(Button, _extends({
    size: "large",
    className: clsString,
    type: "primary",
    htmlType: "submit"
  }, rest)));
};

export default LoginSubmit;