function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import * as React from "react";
import Table from "../table";

var MyTable =
/*#__PURE__*/
function (_React$Component) {
  _inherits(MyTable, _React$Component);

  function MyTable(props) {
    var _this;

    _classCallCheck(this, MyTable);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(MyTable).call(this, props)); // 重组props

    _this.buildPorps = function () {
      var _this$state = _this.state,
          selectedRowKeys = _this$state.selectedRowKeys,
          selectedRows = _this$state.selectedRows,
          _this$state$expandedR = _this$state.expandedRowKeys,
          expandedRowKeys = _this$state$expandedR === void 0 ? [] : _this$state$expandedR;
      var _this$props = _this.props,
          scrollWidth = _this$props.scrollWidth,
          scrollHeight = _this$props.scrollHeight,
          singleExanded = _this$props.singleExanded,
          showPagination = _this$props.showPagination,
          isRowSelect = _this$props.isRowSelect,
          _onExpandedRowsChange = _this$props.onExpandedRowsChange;
      return _extends({
        selectedRowKeys: selectedRowKeys,
        selectedRows: selectedRows
      }, isRowSelect && _this.buildRowSelection(), {
        scroll: {
          x: scrollWidth,
          y: scrollHeight
        }
      }, _this.props, {
        pagination: false
      }, showPagination && _this.buildPagination(), {
        expandedRowKeys: expandedRowKeys,
        onExpandedRowsChange: function onExpandedRowsChange(rows) {
          var resultList;

          if (singleExanded) {
            resultList = rows.filter(function (item) {
              return item !== expandedRowKeys[0];
            });
          } // tslint:disable-next-line:no-unused-expression


          _onExpandedRowsChange && _onExpandedRowsChange(rows);

          _this.setState({
            expandedRowKeys: resultList || rows
          });
        }
      });
    }; // 构建 RowSelection对象


    _this.buildRowSelection = function () {
      var selectedRowKeys = _this.state.selectedRowKeys;
      var rowSelection = _this.props.rowSelection;
      return {
        rowSelection: _extends({}, rowSelection, {
          selectedRowKeys: selectedRowKeys,
          // tslint:disable-next-line:no-shadowed-variable
          onChange: function onChange(selectedRowKeys, selectedRows) {
            _this.setSelectRows(selectedRows); // this.setSelectedRowKeys(selectedRowKeys);
            // tslint:disable-next-line:no-unused-expression


            rowSelection && rowSelection.onChange && rowSelection.onChange(selectedRowKeys, selectedRows);
          },
          onSelect: function onSelect(record, selected, selectedRows, nativeEvent) {
            _this.setSelectRows(selectedRows); // tslint:disable-next-line:no-unused-expression


            rowSelection && rowSelection.onSelect && rowSelection.onSelect(record, selected, selectedRows, nativeEvent);
          },
          onSelectAll: function onSelectAll(selected, selectedRows, changeRows) {
            _this.setSelectRows(selectedRows); // tslint:disable-next-line:no-unused-expression


            rowSelection && rowSelection.onSelectAll && rowSelection.onSelectAll(selected, selectedRows, changeRows);
          },
          onSelectInvert: function onSelectInvert(selectedRows) {
            _this.setSelectRows(selectedRows); // tslint:disable-next-line:no-unused-expression


            rowSelection && rowSelection.onSelectInvert && rowSelection.onSelectInvert(selectedRows);
          }
        })
      };
    }; //设置选中keys


    _this.setSelectedRowKeys = function () {
      var selectedRowKeys = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
      // tslint:disable-next-line:prefer-const
      var _this$props2 = _this.props,
          _this$props2$rowKey = _this$props2.rowKey,
          rowKey = _this$props2$rowKey === void 0 ? "id" : _this$props2$rowKey,
          _this$props2$dataSour = _this$props2.dataSource,
          dataSource = _this$props2$dataSour === void 0 ? [] : _this$props2$dataSour;
      var selectedRows = dataSource.filter( //@ts-ignore
      function (item) {
        return selectedRowKeys.indexOf(item[rowKey]) >= 0;
      });

      _this.setState({
        selectedRowKeys: selectedRowKeys,
        selectedRows: selectedRows
      });
    }; //设置选中rows


    _this.setSelectRows = function () {
      var selectedRows = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
      var _this$props$rowKey = _this.props.rowKey,
          rowKey = _this$props$rowKey === void 0 ? "id" : _this$props$rowKey;
      var selectedRowKeys = selectedRows.map(function (item) {
        return item[rowKey];
      });

      _this.setState({
        selectedRows: selectedRows,
        selectedRowKeys: selectedRowKeys
      });
    }; //清除选择项


    _this.clearSelectRowKeys = function () {
      _this.setState({
        selectedRowKeys: [],
        selectedRows: []
      });
    }; //重置分页器


    _this.resetPagination = function (params) {
      _this.setState(_extends({
        page: 1,
        pageSize: 10
      }, params));
    }; //重置展开项


    _this.resetExpanded = function () {
      var expandedRowKeys = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

      _this.setState({
        expandedRowKeys: expandedRowKeys
      });
    }; //重组pagination的数据


    _this.buildPagination = function () {
      var _this$props3 = _this.props,
          _this$props3$total = _this$props3.total,
          total = _this$props3$total === void 0 ? 100 : _this$props3$total,
          onPageChange = _this$props3.onPageChange,
          pagination = _this$props3.pagination;
      var _this$state2 = _this.state,
          page = _this$state2.page,
          pageSize = _this$state2.pageSize;
      return {
        pagination: _extends({
          total: total,
          // tslint:disable-next-line:no-shadowed-variable
          showTotal: function showTotal(total) {
            return "\u603B\u5171 ".concat(total, " \u4E2A\u9879\u76EE");
          },
          showSizeChanger: true,
          showQuickJumper: true,
          current: Number(page),
          pageSize: Number(pageSize)
        }, pagination, {
          // tslint:disable-next-line:no-shadowed-variable
          onChange: function onChange(page, pageSize) {
            _this.setState({
              page: page,
              pageSize: pageSize
            }); // tslint:disable-next-line:no-unused-expression


            onPageChange && onPageChange(page, pageSize);
          },
          onShowSizeChange: function onShowSizeChange(currentPage, size) {
            _this.setState({
              page: page,
              pageSize: size
            }); // tslint:disable-next-line:no-unused-expression


            onPageChange && onPageChange(currentPage, size);
          }
        })
      };
    };

    _this.state = {
      selectedRowKeys: [],
      selectedRows: [],
      page: 1,
      pageSize: 10,
      expandedRowKeys: []
    };
    return _this;
  }

  _createClass(MyTable, [{
    key: "render",
    value: function render() {
      var props = this.buildPorps(); //@ts-ignore

      return React.createElement(Table, props);
    }
  }]);

  return MyTable;
}(React.Component);

export { MyTable as default };
MyTable.defaultProps = {
  isRowSelect: false,
  rowKey: "id",
  scrollWidth: 0,
  scrollHeight: 0,
  showPagination: true,
  singleExanded: false
};