function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

import * as React from 'react';
import { Link } from 'react-router-dom';
import classNames from 'classnames'; //import PageHeader from './PageHeader';

import PageHeader from '../page-header';

var PageHeaderLayout = function PageHeaderLayout(_a) {
  var children = _a.children,
      wrapperClassName = _a.wrapperClassName,
      style = _a.style,
      restProps = __rest(_a, ["children", "wrapperClassName", "style"]);

  return React.createElement("div", {
    className: classNames('page-body', wrapperClassName, 'page-div'),
    style: style
  }, React.createElement(PageHeader, _extends({}, restProps, {
    linkElement: Link
  })), children ? React.createElement("div", {
    className: classNames('page-content')
  }, children) : null);
};

export default PageHeaderLayout;