import * as React from 'react';
declare type RowEditComponentsState = {
    dataDictionaryList: undefined[];
    loading: boolean;
};
interface RowEditComponentsProps {
    handleSubmit: (...args: any[]) => any;
    getRefForm: any;
    form: any;
    formItemProps: any;
    initialValue: any;
    field: any;
    maxLength: any;
    clearData: any;
    format: string;
    fieldOption: {
        initialValue?: any;
    };
    onChange: (min?: any, max?: any, c?: any) => void;
    max: any;
    onSearch: any;
    mode: any;
    DateBegin: any;
    codeType: any;
    dropdownMatchSelectWidth: any;
    rows: any;
    minValue: any;
    radioData: any;
    maxValue: any;
    DateEnd: any;
    parser: any;
    formatter: any;
    className: any;
    step: any;
    readOnly: any;
    optionData: any;
    min: any;
    editable: any;
    viewStyle: any;
    onBlur: any;
    filterOption: any;
    precision: any;
    fileId: any;
    modalShow: any;
    disabled: any;
    defaultValue: any;
    placeholder: any;
    style: any;
    value: any;
    type: any;
}
declare class RowEditComponents extends React.Component<RowEditComponentsProps, RowEditComponentsState> {
    private formItemLayout;
    private fieldOption?;
    constructor(props: RowEditComponentsProps);
    componentDidMount(): void;
    componentWillReceiveProps(nextPorps: RowEditComponentsProps): void;
    /**
     * 创建FormItem
     * formItemProps: FormItem的属性
     * fileId: 控件的id，唯一标识
     * fieldOption: getFieldDecorator方法传入的option
     * field： 组件
     */
    createFormItem: (field: any) => JSX.Element;
    noEditTableHandler: () => any;
    createHiddenInput: (field: any) => JSX.Element;
    convertFormInfo: () => JSX.Element;
    render(): JSX.Element;
    regexValid: (value: any, regex: any) => any;
    onBlur(props: any): void;
    editComponents: (props: RowEditComponentsProps) => any;
}
export default RowEditComponents;
