function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import 'rc-drawer/assets/index.css';
import * as React from 'react'; // @ts-ignore

import DrawerMenu from 'rc-drawer';
import SiderMenu from './siderMenu';

var SiderMenuWrapper = function SiderMenuWrapper(props) {
  var isMobile = props.isMobile,
      collapsed = props.collapsed;
  return isMobile ? React.createElement(DrawerMenu, {
    getContainer: null,
    level: null,
    handleChild: React.createElement("i", {
      className: "drawer-handle-icon"
    }),
    onHandleClick: function onHandleClick() {
      props.onCollapse(!collapsed);
    },
    open: !collapsed,
    onMaskClick: function onMaskClick() {
      props.onCollapse(true);
    }
  }, React.createElement(SiderMenu, _extends({}, props, {
    collapsed: isMobile ? false : collapsed
  }))) : React.createElement(SiderMenu, props);
};

export default SiderMenuWrapper;