function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

import * as React from 'react';
import Icon from '../icon';
import classNames from 'classnames';

var Trend = function Trend(_a) {
  var _classNames;

  var _a$colorful = _a.colorful,
      colorful = _a$colorful === void 0 ? true : _a$colorful,
      _a$reverseColor = _a.reverseColor,
      reverseColor = _a$reverseColor === void 0 ? false : _a$reverseColor,
      flag = _a.flag,
      children = _a.children,
      className = _a.className,
      rest = __rest(_a, ["colorful", "reverseColor", "flag", "children", "className"]);

  var precls = 'ant-trend';
  var classString = classNames("".concat(precls), (_classNames = {}, _defineProperty(_classNames, "".concat(precls, "-trendItemGrey"), !colorful), _defineProperty(_classNames, "".concat(precls, "-reverseColor"), reverseColor && colorful), _classNames), className);
  return React.createElement("div", _extends({}, rest, {
    className: classString,
    title: typeof children === 'string' ? children : ''
  }), React.createElement("span", {
    className: "".concat(precls, "-value")
  }, children), flag && React.createElement("span", {
    className: "".concat(precls, "-").concat(flag)
  }, React.createElement(Icon, {
    type: "caret-".concat(flag)
  })));
};

export default Trend;