import fetch from '../../_util/request';

var fetchLocalData = function fetchLocalData() {
  var lan = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

  var _this = arguments.length > 1 ? arguments[1] : undefined;

  var callback = arguments.length > 2 ? arguments[2] : undefined;

  if (!lan) {
    return;
  }

  fetch("../minima/language/getLanguagePackage?language=".concat(lan), {
    credentials: 'include'
  }).then(function (res) {
    if (res.data) {
      callback && callback(res.data);

      _this.props.dispatch({
        type: 'global/saveLocalMessage',
        payload: {
          locals: lan,
          messages: res.data
        }
      });

      _this.forceUpdate();
    }
  });
};

export default fetchLocalData;