"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _select = _interopRequireDefault(require("antd/es/select"));

var _request = _interopRequireDefault(require("../_util/request"));

var _url = _interopRequireDefault(require("../_util/url"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Option = _select["default"].Option; // 数据字典

var DataDictionaryComponents =
/*#__PURE__*/
function (_React$Component) {
  _inherits(DataDictionaryComponents, _React$Component);

  function DataDictionaryComponents(props) {
    var _this;

    _classCallCheck(this, DataDictionaryComponents);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(DataDictionaryComponents).call(this, props)); // 用state信息搜索模板----------&&&&&&&&&&&&&&&&重写

    _this.searchTemplateForState = function () {
      var codeType = _this.props.codeType;

      var self = _assertThisInitialized(_this);

      _this.setState({
        loading: true
      });

      (0, _request["default"])(_url["default"].cdDictionary.getDataDictionary, {
        method: 'POST',
        body: {
          codeType: codeType
        }
      }).then(function (data) {
        if (data.result) {
          self.setState({
            dataDictionaryList: data.data,
            loading: false
          });
        } else {
          self.setState(function () {
            return {
              loading: false
            };
          });
        }
      });
      /* $.ajax({
        url: url.cdDictionary.getDataDictionary,
        data: { codeType },
        cache: false,
        async: false,
        type: 'POST',
        dataType: 'json',
        success(data: any) {
          if (data.result) {
            self.setState({
              dataDictionaryList: data.data,
              loading: false,
            });
          } else {
            self.setState(() => {
              return {
                loading: false,
              };
            });
          }
        },
      }); */
    };

    _this.state = {
      dataDictionaryList: [],
      loading: false
    };
    return _this;
  }

  _createClass(DataDictionaryComponents, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      this.searchTemplateForState();
    }
  }, {
    key: "render",
    value: function render() {
      var editable = this.props.editable;
      var renderOption = this.state.dataDictionaryList.map(function (option) {
        return React.createElement(Option, {
          key: option.key,
          value: option.key
        }, option.label);
      });
      var dataDictionaryMap = [];
      this.state.dataDictionaryList.forEach(function (info) {
        dataDictionaryMap[info.key] = info.label;
      });
      var text = dataDictionaryMap[this.props.value];
      return React.createElement("div", null, editable || editable == null ? React.createElement(_select["default"], _extends({}, this.props, {
        disabled: this.props.disabled === true || this.props.disabled === 'true',
        value: this.props.value,
        allowClear: this.props.allowClear,
        placeholder: this.props.placeholder,
        defaultValue: this.props.defaultValue,
        className: this.props.className || 'DataDictionary-view-style',
        style: this.props.style,
        onChange: this.props.onChange,
        dropdownMatchSelectWidth: this.props.dropdownMatchSelectWidth === undefined ? true : this.props.dropdownMatchSelectWidth,
        mode: this.props.mode ? this.props.mode : ''
      }), renderOption) : React.createElement("span", null, text));
    }
  }]);

  return DataDictionaryComponents;
}(React.Component);

var _default = DataDictionaryComponents;
exports["default"] = _default;