"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var isNotNull = function isNotNull(param) {
  if (typeof param == "undefined" || param == null) {
    return false;
  }

  return true;
};

var isNull = function isNull(param) {
  if (typeof param == "undefined" || param == null) {
    return true;
  }

  return false;
};

var isNotspace = function isNotspace(param) {
  var pattern = /^[ ]*$/;

  if (!pattern.test(param)) {
    return false;
  }

  return true;
};

var isNotEmpty = function isNotEmpty(param) {
  if (!isNotNull(param) || param == '') {
    return false;
  }

  return true;
};

var isEmpty = function isEmpty(param) {
  if (isNull(param) || param == '') {
    return true;
  }

  return false;
};

var _default = {
  isNotEmpty: isNotEmpty,
  isNotNull: isNotNull,
  isNotspace: isNotspace,
  isNull: isNull,
  isEmpty: isEmpty
};
exports["default"] = _default;