"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _button = _interopRequireDefault(require("antd/es/button"));

var _utils = require("../_util/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// TODO: 添加逻辑
var EditableLinkGroup =
/*#__PURE__*/
function (_PureComponent) {
  _inherits(EditableLinkGroup, _PureComponent);

  function EditableLinkGroup() {
    _classCallCheck(this, EditableLinkGroup);

    return _possibleConstructorReturn(this, _getPrototypeOf(EditableLinkGroup).apply(this, arguments));
  }

  _createClass(EditableLinkGroup, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          links = _this$props.links,
          linkElement = _this$props.linkElement,
          onAdd = _this$props.onAdd;
      return React.createElement("div", {
        className: "ant-pro-linkGroup"
      }, links.map(function (link) {
        return (0, React.createElement)(linkElement, {
          key: "linkGroup-item-".concat(link.id || link.title),
          to: link.href,
          href: link.href
        }, link.title);
      }), React.createElement(_button["default"], {
        size: "small",
        type: "primary",
        ghost: true,
        onClick: onAdd,
        icon: "plus"
      }, (0, _utils.intlFormat)('jlt.jltd.Adjunction', '添加')));
    }
  }]);

  return EditableLinkGroup;
}(React.PureComponent);

EditableLinkGroup.propTypes = {
  links: _propTypes["default"].array,
  onAdd: _propTypes["default"].func,
  linkElement: _propTypes["default"].oneOfType([_propTypes["default"].func, _propTypes["default"].string])
};
EditableLinkGroup.defaultProps = {
  links: [],
  onAdd: function onAdd() {},
  linkElement: 'a'
};
var _default = EditableLinkGroup;
exports["default"] = _default;