"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _dva = require("dva");

var _url = _interopRequireDefault(require("../_util/url"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// @ts-ignore
var _window = window,
    $ = _window.$; // tslint:disable-next-line:variable-name

var __html = require('./HeaderViewTemplate')["default"];

var template = {
  __html: __html
};
/* declare global {
  interface Window {
    p_common_path: any;
  }
} */

template.__html = template.__html.replace('class="logoimg"', 'class="logoimg" src="./HeaderView/logo.png"');
template.__html = template.__html.replace('class="logo_pic"', 'class="logo_pic" style="background: url(./HeaderView/logo_pic.png) no-repeat center center;"');
template.__html = template.__html.replace('class="c2 m-nav-msg"', 'class="c2 m-nav-msg" style="background: url(./HeaderView/mail_users.png) no-repeat center center;"');
template.__html = template.__html.replace('class="m-nav-auditors"', 'class="m-nav-auditors" style="background: url(./HeaderView/auditors.png) no-repeat center center;"');
template.__html = template.__html.replace('class="c2 m-nav-msg-logoutSub"', 'class="c2 m-nav-msg-logoutSub" style="background: url(./HeaderView/logoutSub.png) no-repeat center center;"');
var pathList = ['http://139.196.99.87:8080', 'http://47.100.39.104:9082'];
var regList = pathList.map(function (path) {
  return new RegExp(path, 'g');
});

var createHeadBtnHtml = function createHeadBtnHtml(pmCode, domain, essCode, essName) {
  return "\n  <li id=\"".concat(pmCode, "\">\n      <a href=\"javascript:void(0);\" onclick=\"go('").concat(domain, "/jlt-bcs/bcs/esService/forword/").concat(essCode, ".shtml', false, '").concat(essCode, "')\">").concat(essName, "</a>\n  </li>\n  <li>\n      <input hidden=\"true\" value=\"").concat(pmCode, "\"></input>\n  </li>\n");
};

var HeaderView =
/*#__PURE__*/
function (_React$Component) {
  _inherits(HeaderView, _React$Component);

  function HeaderView() {
    _classCallCheck(this, HeaderView);

    return _possibleConstructorReturn(this, _getPrototypeOf(HeaderView).apply(this, arguments));
  }

  _createClass(HeaderView, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this = this;

      var centerPageUrl = this.props.centerPageUrl;
      /* eslint-disable */
      //    Top.init();
      // $('#21CBA9CC6CC243379206254FAF8C4B2C').addClass('cur');

      /* eslint-enable */

      this.props.dispatch({
        type: 'rest/userInfo'
      }).then(function (userInfo) {
        _this.refreshUserInfo(userInfo);
      });

      if (centerPageUrl.length === 0) {
        this.props.dispatch({
          type: 'rest/getCenterPageUrl'
        }).then(function (centerPageUrlTemp) {
          _this.refreshData(centerPageUrlTemp);
        });
      } else {
        this.refreshData(centerPageUrl);
      }
    }
  }, {
    key: "refreshData",
    value: function refreshData(centerPageUrl) {
      this.props.dispatch({
        type: 'nav/getMsgCount',
        payload: {
          urlPath: centerPageUrl[0]
        }
      });
      this.props.dispatch({
        type: 'nav/getEsServices',
        payload: {
          urlPath: centerPageUrl[0]
        }
      });
      this.props.dispatch({
        type: 'nav/getMenu',
        payload: {
          urlPath: centerPageUrl[0]
        }
      });
      this.props.dispatch({
        type: 'nav/getButtonPermission',
        payload: {}
      });
    }
  }, {
    key: "refreshUserInfo",
    value: function refreshUserInfo(userInfo) {
      var condition = {};
      condition.businessPmCode = "".concat(userInfo.tenantId);
      this.props.dispatch({
        type: 'rest/userLogo',
        payload: {
          condition: condition
        }
      });
      condition.businessPmCode = "".concat(userInfo.userId, "member");
      this.props.dispatch({
        type: 'rest/userPic',
        payload: {
          condition: condition
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          userInfo = _this$props.userInfo,
          msgCount = _this$props.msgCount,
          centerPageUrl = _this$props.centerPageUrl,
          esServices = _this$props.esServices,
          userPic = _this$props.userPic,
          userLogo = _this$props.userLogo;
      var templateTemp = {
        __html: template.__html
      };

      if (userInfo) {
        templateTemp.__html = templateTemp.__html.replace(/userName/g, userInfo.userName);
        templateTemp.__html = templateTemp.__html.replace(/userCode/g, userInfo.userCode);
      }

      if (userLogo) {
        templateTemp.__html = templateTemp.__html.replace('src="./HeaderView/logo.png"', "src=\"".concat(_url["default"].file.fileDownload, "?pmCode=").concat(userLogo, "\""));
      }

      if (userPic) {
        templateTemp.__html = templateTemp.__html.replace('src="./HeaderView/logo_pic.png"', "src=\"".concat(_url["default"].file.fileDownload, "?pmCode=").concat(userPic, "\""));
      }

      if (msgCount > 0) {
        templateTemp.__html = templateTemp.__html.replace('<i id="msgc" style="display: none;"></i>', '<i id="msgc"></i>');
      }

      if (centerPageUrl.length > 0) {
        window.p_common_path = centerPageUrl[0];
        centerPageUrl.forEach(function (url1, index) {
          var reg = regList[index];
          templateTemp.__html = templateTemp.__html.replace(reg, url1);
        });
      }

      if (esServices.length > 0) {
        var html = '';
        esServices.forEach(function (esService) {
          html = "".concat(html).concat(createHeadBtnHtml(esService.pmCode, centerPageUrl[0], esService.essCode, esService.essName));
        });
        templateTemp.__html = templateTemp.__html.replace('<!-- menu -->', html);
      }

      return React.createElement("div", {
        dangerouslySetInnerHTML: templateTemp
      });
    }
  }]);

  return HeaderView;
}(React.Component);

function mapStateToProps(state) {
  var _state$rest = state.rest,
      userInfo = _state$rest.userInfo,
      userPic = _state$rest.userPic,
      userLogo = _state$rest.userLogo;
  var _state$nav = state.nav,
      msgCount = _state$nav.msgCount,
      esServices = _state$nav.esServices,
      menu = _state$nav.menu;
  var centerPageUrl = state.rest.centerPageUrl;
  return {
    userInfo: userInfo,
    msgCount: msgCount,
    centerPageUrl: centerPageUrl,
    esServices: esServices,
    menu: menu,
    userPic: userPic,
    userLogo: userLogo
  };
}

var _default = (0, _dva.connect)(mapStateToProps)(HeaderView);

exports["default"] = _default;