"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _request = _interopRequireDefault(require("../_util/request"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var __awaiter = void 0 && (void 0).__awaiter || function (thisArg, _arguments, P, generator) {
  return new (P || (P = Promise))(function (resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }

    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }

    function step(result) {
      result.done ? resolve(result.value) : new P(function (resolve) {
        resolve(result.value);
      }).then(fulfilled, rejected);
    }

    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
}; // import * as $ from 'jquery';


// import fetch from 'dva/fetch';
var permissionMap = null;

var getPermissionMap = function getPermissionMap() {
  permissionMap = {};
  /* eslint-disable react/no-namespace */

  return (0, _request["default"])('../system/getButtonPermission', {
    method: 'post',
    credentials: 'include'
  }) // .then((res: any) => res.json())
  .then(function (res) {
    return res.data;
  }); // $.ajax({
  //   url: '/system/getButtonPermission',
  //   data: {},
  //   cache: false,
  //   async: false,
  //   type: 'POST',
  //   dataType: 'json',
  //   success: function(data: any) {
  //     permissionMap = data.data;
  //   },
  // });
  // return permissionMap;
};

var buttonPermission = {
  check: function check(buttonOpt) {
    return __awaiter(this, void 0, void 0,
    /*#__PURE__*/
    _regenerator["default"].mark(function _callee() {
      var operateCodeMap, operateName;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!(permissionMap === null)) {
                _context.next = 4;
                break;
              }

              _context.next = 3;
              return getPermissionMap();

            case 3:
              permissionMap = _context.sent;

            case 4:
              if (!(!buttonOpt.menuCode || !buttonOpt.operateCode)) {
                _context.next = 6;
                break;
              }

              return _context.abrupt("return", true);

            case 6:
              if (!(permissionMap === null)) {
                _context.next = 8;
                break;
              }

              return _context.abrupt("return", false);

            case 8:
              operateCodeMap = permissionMap[buttonOpt.menuCode] || [];

              if (operateCodeMap.hasOwnProperty(buttonOpt.operateCode)) {
                _context.next = 11;
                break;
              }

              return _context.abrupt("return", false);

            case 11:
              operateName = operateCodeMap[buttonOpt.operateCode];

              if (operateName && operateName !== '') {
                buttonOpt.text = operateCodeMap[buttonOpt.operateCode];
              }

              return _context.abrupt("return", true);

            case 14:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }));
  },
  filterPermission: function filterPermission(buttonOptList) {
    return buttonOptList.filter(function (opt) {
      if (opt.children && opt.children.length > 0) {
        var filterChidrenList = buttonPermission.filterPermission(opt.children);

        if (filterChidrenList.length === 0) {
          return false;
        }

        opt.children = filterChidrenList;
      }

      if (!opt.menuCode || !opt.operateCode) {
        return true;
      }

      return buttonPermission.check(opt);
    });
  }
};
var _default = buttonPermission;
exports["default"] = _default;