import * as React from 'react';
interface RenderTableParams {
    dataSource: [];
    loading: boolean;
    total: number;
    pageNumber: number;
    pageSize: number;
    onPageChange?: Function;
}
interface JListPageProps {
    renderTable?: (parmas: RenderTableParams) => any;
    dataFilter?: (res: any) => {
        data: [any];
        pageIndex: number;
        rowsCount: number;
        pageSize: number;
    };
    defaultPageSize?: number;
    defaultCurrent?: number;
    initGetData?: boolean;
    quickSearchName?: string;
    onFetched?: (res: any) => void;
    dataParams?: {
        url?: string;
        params?: any;
        method?: 'POST' | 'GET';
    };
    paramsFilter?: (res: any) => any;
    JForm: {
        onSearchClick?: (res: any) => void;
        onResetClick?: (res: any) => void;
        data: [any];
    } | any;
    JQuickSearch?: {
        onChange?: (value: any) => void;
        data: [{
            label: string;
            key: any;
        }];
        defaultValue?: any;
    } | any;
    JTable?: {
        minColumns?: number;
        columnsRender: [any];
        columnsParams: {
            url?: string;
            method?: 'POST' | 'GET';
            params?: any;
        };
        pagination?: any;
    } | any;
    JButtonGroup?: {
        data: [any];
        extra?: any;
        icon?: any;
    } | any;
    title?: any;
    titleExtra?: any;
}
declare class JListPage extends React.Component<JListPageProps, any> {
    static that: any;
    static form: any;
    static refresh: (params: void | {
        pageSize?: number | undefined;
        pageNumber?: number | undefined;
    }) => void;
    static init: () => void;
    static getState: () => any;
    static getFormData: () => any;
    private table;
    private tempState;
    private form;
    constructor(props: any);
    setTarget: () => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    onQucikSearch: (value: any) => void;
    getData: (init?: boolean | undefined) => void;
    onPageChange: (pageNumber: any, pageSize: any) => void;
    getFormData: (type?: any) => any;
    onSearchClick: () => void;
    btnClick: (e: any, item: any) => void;
    refresh: (params?: any) => void;
    init: () => void;
    renderJQuickSearch: () => JSX.Element | null;
    renderJForm: () => JSX.Element | null;
    renderJTable: () => any;
    renderJButtonGroup: () => JSX.Element | null;
    render(): JSX.Element;
}
export default JListPage;
