import { ModalFuncProps } from '../modal/Modal';
export interface ConfirmDialogProps extends ModalFuncProps {
    afterClose?: () => void;
    close?: (...args: any[]) => void;
    autoFocusButton?: null | 'ok' | 'cancel';
    rightBtn?: any;
    leftBtn?: any;
}
export default function confirm(config: ConfirmDialogProps): {
    destroy: (...args: any[]) => void;
    update: (newConfig: ConfirmDialogProps) => void;
};
