"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _modal = _interopRequireDefault(require("../modal"));

require("./style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0) t[p[i]] = s[p[i]];
  }
  return t;
};

var that = null;

var JProgress =
/*#__PURE__*/
function (_React$Component) {
  _inherits(JProgress, _React$Component);

  function JProgress(props) {
    var _this;

    _classCallCheck(this, JProgress);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(JProgress).call(this, props));
    _this.state = {
      visible: false,
      percent: 0
    };
    that = _assertThisInitialized(_this);
    return _this;
  }

  _createClass(JProgress, [{
    key: "render",
    value: function render() {
      var _this$state = this.state,
          visible = _this$state.visible,
          percent = _this$state.percent;

      var rest = __rest(this.props, []);

      return React.createElement(_modal["default"], _extends({}, rest, {
        closable: false,
        footer: null,
        visible: visible
      }), React.createElement("div", {
        className: "jlt-progress"
      }, React.createElement("div", {
        className: "jlt-progress-active",
        style: {
          width: "".concat(percent, "%")
        }
      }, percent, "%")));
    }
  }]);

  return JProgress;
}(React.Component);

JProgress.end = false;

JProgress.show = function () {
  var percent = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;

  if (that) {
    if (this.end) {
      return;
    }

    if (that.state.visible) {
      that && that.setState({
        percent: percent
      });
    } else {
      that && that.setState({
        visible: true,
        percent: percent > 100 ? 99 : percent
      });
    }

    if (percent === 100) {
      JProgress.end = true;
      setTimeout(function () {
        that.setState({
          visible: false
        }, function () {
          that.setState({
            percent: 0
          });
        });
        that.props.onHide && that.props.onHide();
        JProgress.end = false;
      }, 1000);
    }
  }
};

JProgress.hide = function () {
  that && that.setState({
    visible: false,
    percent: 0
  });
};

var _default = JProgress;
exports["default"] = _default;