"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

var RadioIcon = function RadioIcon(props) {
  var _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      checked = props.checked,
      disabled = props.disabled;
  return React.createElement("span", {
    className: (0, _classnames["default"])('jlt-radio', {
      'jlt-radio-checked': checked,
      'jlt-radio-disabled': disabled
    }, className)
  }, React.createElement("span", {
    className: "jlt-radio-inner"
  }));
};

var _default = RadioIcon;
exports["default"] = _default;