"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _reactIntl = require("react-intl");

var _en = _interopRequireDefault(require("react-intl/locale-data/en"));

var _zh = _interopRequireDefault(require("react-intl/locale-data/zh"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var chooseLocale = function chooseLocale(local) {
  var appLocaleEN = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var appLocaleZH = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var messageData = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
  var appLocale;

  switch (local) {
    case 'en':
      (0, _reactIntl.addLocaleData)(_en["default"]);
      appLocaleEN.messages = _extends({}, appLocaleEN.messages, messageData);
      appLocale = appLocaleEN;

    case 'zh':
      (0, _reactIntl.addLocaleData)(_zh["default"]);
      appLocaleZH.messages = _extends({}, appLocaleZH.messages, messageData);
      appLocale = appLocaleZH;

    case 'zh-CN':
      (0, _reactIntl.addLocaleData)(_zh["default"]);
      appLocaleZH.messages = _extends({}, appLocaleZH.messages, messageData);
      appLocale = appLocaleZH;

    default:
      (0, _reactIntl.addLocaleData)(_zh["default"]);
      appLocaleZH.messages = _extends({}, appLocaleZH.messages, messageData);
      appLocale = appLocaleZH;
  }

  return appLocale;
};

var _default = chooseLocale;
exports["default"] = _default;