"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _en = _interopRequireDefault(require("./localData/en"));

var _zh = _interopRequireDefault(require("./localData/zh"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var defaultMessage = {
  "en": _en["default"],
  "zh": _zh["default"]
};

function initDefaultMessage() {
  var language = window.locals.language;
  var data = window.locals.data;
  data = _extends({}, data, defaultMessage[language] || {});
  window.locals.data = data;
}

var _default = initDefaultMessage;
exports["default"] = _default;