"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _icon = _interopRequireDefault(require("antd/es/icon"));

var _input = _interopRequireDefault(require("antd/es/input"));

var React = _interopRequireWildcard(require("react"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var map = {
  UserName: {
    component: _input["default"],
    props: {
      size: 'large',
      prefix: React.createElement(_icon["default"], {
        type: "user",
        className: 'prefixIcon'
      }),
      placeholder: 'admin'
    },
    rules: [{
      required: true,
      message: 'Please enter username!'
    }]
  },
  Password: {
    component: _input["default"],
    props: {
      size: 'large',
      prefix: React.createElement(_icon["default"], {
        type: "lock",
        className: 'prefixIcon'
      }),
      type: 'password',
      placeholder: '888888'
    },
    rules: [{
      required: true,
      message: 'Please enter password!'
    }]
  },
  Mobile: {
    component: _input["default"],
    props: {
      size: 'large',
      prefix: React.createElement(_icon["default"], {
        type: "mobile",
        className: 'prefixIcon'
      }),
      placeholder: 'mobile number'
    },
    rules: [{
      required: true,
      message: 'Please enter mobile number!'
    }, {
      pattern: /^1\d{10}$/,
      message: 'Wrong mobile number format!'
    }]
  },
  Captcha: {
    component: _input["default"],
    props: {
      size: 'large',
      prefix: React.createElement(_icon["default"], {
        type: "mail",
        className: 'prefixIcon'
      }),
      placeholder: 'captcha'
    },
    rules: [{
      required: true,
      message: 'Please enter Captcha!'
    }]
  }
};
var _default = map;
exports["default"] = _default;