"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _modal = _interopRequireDefault(require("antd/es/modal"));

var _utils = require("../_util/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

var ModalComponent = function ModalComponent(props) {
  var visible = props.visible,
      onConfirm = props.onConfirm,
      onCancel = props.onCancel,
      title = props.title,
      child = props.child,
      width = props.width,
      okText = props.okText,
      style = props.style;
  return React.createElement(_modal["default"], {
    width: width || '50%',
    okText: okText || (0, _utils.intlFormat)('jlt.jltd.Confirm', '确认'),
    cancelText: (0, _utils.intlFormat)('jlt.jltd.Cancelled', '取消'),
    title: title,
    visible: visible,
    maskClosable: false,
    onOk: onConfirm,
    onCancel: onCancel,
    closable: true,
    style: style || ''
  }, child);
};

var _default = ModalComponent;
exports["default"] = _default;