"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _Authorized = _interopRequireDefault(require("./Authorized"));

var _AuthorizedRoute = _interopRequireDefault(require("./AuthorizedRoute"));

var _Secured = _interopRequireDefault(require("./Secured"));

var _CheckPermissions = _interopRequireDefault(require("./CheckPermissions"));

var _renderAuthorize = _interopRequireDefault(require("./renderAuthorize"));

var _PromiseRender = _interopRequireDefault(require("./PromiseRender"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

_Authorized["default"].Secured = _Secured["default"];
_Authorized["default"].AuthorizedRoute = _AuthorizedRoute["default"];
_Authorized["default"].check = _CheckPermissions["default"];
_Authorized["default"].PromiseRender = _PromiseRender["default"];
_Authorized["default"].renderAuthorize = _renderAuthorize["default"];

var _default = (0, _renderAuthorize["default"])(_Authorized["default"]);

exports["default"] = _default;