"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _url = _interopRequireDefault(require("../_util/url"));

var _request = _interopRequireDefault(require("../_util/request"));

var _select = _interopRequireDefault(require("../select"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Option = _select["default"].Option;

var SelectComponents =
/*#__PURE__*/
function (_React$Component) {
  _inherits(SelectComponents, _React$Component);

  function SelectComponents(props) {
    var _this;

    _classCallCheck(this, SelectComponents);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(SelectComponents).call(this, props));

    _this.onSelectChange = function (value) {
      if (value == null) {
        value = '';
      }

      _this.setState({
        value: value
      });

      if (_this.props.onSelectChange === undefined) {
        return;
      }

      _this.props.onSelectChange(value);
    };

    _this.selectData = function () {
      var codeType = _this.props.codeType;

      var self = _assertThisInitialized(_this);

      if (_url["default"] && _url["default"].system) {
        (0, _request["default"])(_url["default"].system.getSelectData(), {
          method: 'POST',
          body: {
            codeType: codeType
          }
        }).then(function (data) {
          if (data.data) {
            self.setState({
              dataDictionaryList: data.data
            });
          }
        });
        /*  $.ajax({
          url: url.system.getSelectData(),
          data: { codeType: codeType },
          cache: false,
          async: false,
          type: 'POST',
          dataType: 'json',
          success: function(data: any) {
            if (data.data) {
              self.setState({
                dataDictionaryList: data.data,
              });
            }
          },
        }); */
      }
    };

    _this.state = {
      dataDictionaryList: [],
      value: null
    };
    return _this;
  }

  _createClass(SelectComponents, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      this.selectData();
    }
  }, {
    key: "render",
    value: function render() {
      var style = this.props.style === undefined ? {
        width: 170
      } : this.props.style;
      var renderOption = this.state.dataDictionaryList.map(function (option) {
        return React.createElement(Option, {
          key: option.key,
          value: option.key
        }, option.label);
      });
      var dataDictionaryMap = [];
      this.state.dataDictionaryList.forEach(function (info) {
        dataDictionaryMap[info.key] = info.label;
      });
      return React.createElement("div", null, React.createElement(_select["default"], _extends({}, this.props, {
        className: 'select-components-view-style',
        style: style,
        onChange: this.onSelectChange
      }), renderOption));
    }
  }]);

  return SelectComponents;
}(React.Component);

var _default = SelectComponents;
exports["default"] = _default;